<?php

define('ADVERTISEMENTS_URLPATH', WP_PLUGIN_URL.'/'.plugin_basename( dirname(__FILE__) ).'/' );
	
	class wpt_widgets_advertisments extends WP_Widget 
	{
		/**
		 * Widget setup.
		 */
		function wpt_widgets_advertisments() {
			/* Widget settings. */
			$widget_ops = array( 'classname' => 'class_wpt_advertisments_widget', 'description' => __('Add this widget to sidebar to intercept and display dynamic advertisments. If no advertisment is detected then widget will not be displayed.', 'wpt_widget') );

			/* Widget control settings. */
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'id_wpt_widgets_advertisments' );

			/* Create the widget. */
			$this->WP_Widget( 'id_wpt_widgets_advertisments', __('WPTT: Advertisment', 'example'), $widget_ops, $control_ops );
		}

		/**
		 * How to display the widget on the screen.
		 */
		function widget( $args, $instance ) {
			extract( $args );
			
			if ($_SESSION['wpt_ad_content'])
			{
				/* Our variables from the widget settings. */
				$title = apply_filters('widget_title', $instance['title'] );

				/* Before widget (defined by themes). */
				echo $before_widget;

				/* Display the widget title if one was input (before and after defined by themes). */
				if ( $title && $_SESSION['wpt_ad_content'])
				
					echo $before_title . $title . $after_title;

				echo $_SESSION['wpt_ad_content'];
				/* After widget (defined by themes). */
				echo $after_widget;
			}
			else
			{
				$title = apply_filters('widget_title', $instance['title'] );
				
				if ( $title && $_SESSION['wpt_ad_content'] )
				
					echo $before_title . $title . $after_title;
					
				echo "<div id='id_wpt_adblock'></div>";
			}
		}

		/**
		 * Update the widget settings.
		 */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			/* Strip tags for title and name to remove HTML (important for text inputs). */
			$instance['title'] = strip_tags( $new_instance['title'] );
			return $instance;
		}

		/**
		 * Displays the widget settings controls on the widget panel.
		 * Make use of the get_field_id() and get_field_name() function
		 * when creating your form elements. This handles the confusing stuff.
		 */
		function form( $instance ) {

			/* Set up some default widget settings. */
			$defaults = array( 'title' => __('Example', 'example'));
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>

			<!-- Widget Title: Text Input -->
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'hybrid'); ?></label>
				<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
			</p>

		<?php
		}
	}

	//ADD SETTINGS TO POST EDITING AREA
	//*****************************************
	//*****************************************
	//*****************************************
	//*****************************************
	//*****************************************
	//*****************************************
	
	function wpt_spyntax($content)
	{
		if ( preg_match('/\{([^{}]+)\}/', $content, $matches) ) {
			$inner_elements = explode('|', $matches[1]);
			$random_element = $inner_elements[array_rand($inner_elements)];
			$content = str_replace($matches[0], $random_element, $content);
			$content = wpt_spyntax($content);
		}
		return $content;
	}
	
	function adviertisements_add_meta_box()
	{
		add_meta_box( 'wp-advertisement-dropper', 'Special Advertisements', 'adviertisements_meta_box' , 'post', 'advanced', 'high' );
		add_meta_box( 'wp-advertisement-dropper', 'Special Advertisements', 'adviertisements_meta_box' , 'page', 'advanced', 'high' );
	}
	
	add_action('admin_menu', 'adviertisements_add_meta_box');
	
	function adviertisements_meta_box()
	{
		global $post;
		global $table_prefix;
		$post_id = $post->ID;
		//echo $post_id;exit;
		
		$query = "SELECT * FROM {$table_prefix}wptt_advertisements_post_profiles WHERE post_id='{$post_id}' LIMIT 1";
		$result = mysql_query($query);
		if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
		while ($arr = mysql_fetch_array($result))
		{
			$advertisements_profile_id = $arr['id'];
			$advertisements_post_id = $arr['post_id'];
			$advertisements_post_content_profile_id = $arr['content_profile_id'];
			$advertisements_post__placement = $arr['placement'];
		}
		
		$query = "SELECT * FROM {$table_prefix}wptt_advertisements_content_profiles ";
		$result = mysql_query($query);
		if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
		while ($arr = mysql_fetch_array($result))
		{
			$advertisements_content_profile_id[] = $arr['id'];
			$advertisements_content_profile_name[] = $arr['profile_name'];
		}
		
		
		?>
		<div class=" " id="trackbacksdiv">
			<div class="inside">
					<table>
						<tr>
							<td>
								<label for=keyword>
								<img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="Ad to use."> 
									Use Advertisement:
								</label>
							</td>
							<td>
								<input type='hidden' name='advertisements_post_profile_id' value='<?php echo $advertisements_profile_id; ?>'>
								<input type='hidden' name='advertisements_post_post_id' value='<?php echo $post_id; ?>'>
								<select name='advertisements_post_content_profile_id'>
									<option value='x'>No advertisements used.</option>
									<?php

									foreach ($advertisements_content_profile_id as $k=>$v)
									{
										if ($advertisements_post_content_profile_id==$v)
										{
										
											$selected = 'selected';
										}
										else
										{
											$selected = '';
										}
										echo "<option value='$v' $selected>$advertisements_content_profile_name[$k]</option>";
									}
									
									?>
								</select>
							</td>
						</tr>
						<tr>
							<td>
								<label for=keyword>
								<img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="Ad to use."> 
									Placement:
								</label>
							</td>
							<td>
								<select name='advertisements_post_content_placement'>
									<option value='above' <?php if ($advertisements_post_placement=='above'){echo "selected='true'"; } ?>>Above the Content</option>									
									<option value='middle' <?php if ($advertisements_post_placement=='middle'){echo "selected='true'"; } ?>>Middle of the Content</option>									
									<option value='below' <?php if ($advertisements_post_placement=='below'){echo "selected='true'"; } ?>>Below the Content</option>									
									<option value='widget' <?php if ($advertisements_post_placement=='widget'){echo "selected='true'"; } ?>>Widget</option>									
								</select>
							</td>
						</tr>
					</table>
				
				
			</div>	
		</div>
		<?php
	}
	//ACTIVATION / CREATE TABLES
	//*****************************************
	//*****************************************
	//*****************************************
	//*****************************************
	//*****************************************
	//*****************************************
	
	function advertisements_activate() {
	   global $wpdb;	
	   
		
		if ( !empty($wpdb->charset) )
			$charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
		
		$sql = "CREATE TABLE {$wpdb->prefix}wptt_advertisements_content_profiles (
			id INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			content TEXT NOT NULL,
			profile_name VARCHAR(255) NOT NULL
			) {$charset_collate};";
	
		$result = $wpdb->get_results($sql, ARRAY_A);	
		
		$sql = "CREATE TABLE {$wpdb->prefix}wptt_advertisements_post_profiles (
			id INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			post_id VARCHAR(12) NOT NULL,
			content_profile_id VARCHAR(12) NOT NULL,
			placement VARCHAR(25) NOT NULL,
			drop_count INT(12) NOT NULL
			) {$charset_collate};";
	
		$result = $wpdb->get_results($sql, ARRAY_A);
		
		$sql = "CREATE TABLE {$wpdb->prefix}wptt_advertisements_keywords_profiles (
			id INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			keywords VARCHAR(225) NOT NULL,
			content_profile_id VARCHAR(12) NOT NULL,
			placement VARCHAR(25) NOT NULL,
			search_content INT(1) NOT NULL,
			search_referral INT(1) NOT NULL,
			status INT(1) NOT NULL,
			drop_count INT(12) NOT NULL
			) {$charset_collate};";
	
		$result = $wpdb->get_results($sql, ARRAY_A);
		
		$sql = "CREATE TABLE {$wpdb->prefix}wptt_advertisements_google_profiles (
			id INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			content_profile_id VARCHAR(12) NOT NULL,
			placement VARCHAR(25) NOT NULL,
			status INT(1) NOT NULL,
			drop_count INT(12) NOT NULL
			) {$charset_collate};";
	
		$result = $wpdb->get_results($sql, ARRAY_A);
		
		$sql = "CREATE TABLE {$wpdb->prefix}wptt_advertisements_category_profiles (
			id INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			content_profile_id VARCHAR(12) NOT NULL,
			category_id INT(10) NOT NULL,
			placement VARCHAR(25) NOT NULL,
			status INT(1) NOT NULL,
			drop_count INT(12) NOT NULL
			) {$charset_collate};";
	
		$result = $wpdb->get_results($sql, ARRAY_A);
		
	}
	
	//ADD MENU ITEM AND OPTIONS PAGE
	//*****************************************
	//*****************************************
	//*****************************************
	//*****************************************
	//*****************************************
	//*****************************************
	function advertisements_add_javascript()
	{
		?>
			<style type='text/css'>
			input , textarea
			{
				color:#999999;
			}
			.class_navtab_active {

				color:#99999;
				border-left-color: #ADCCE1;
				border-left-style: solid;
				border-left-width: 1px;
				border-right-color: #ADCCE1;
				border-right-style: solid;
				border-right-width: 1px;
				border-top-color: #ADCCE1;
				border-top-style: solid;
				border-top-width: 1px;
				border-bottom-color: #ADCCE1;
				border-bottom-style: solid;
				border-bottom-width: 0px;
				padding-bottom: 0.2em;
				padding-left: 0.5em;
				padding-right: 0.5em;
				padding-top: 0.2em;
				cursor:pointer;
				margin-right:-6px;
				text-decoration:none;
			}
			
			.class_navtab_inactive {
				color:#A3A3A3;

				border-left-color: #A3A3A3;
				border-left-style: solid;
				border-left-width: 1px;
				border-right-color: #A3A3A3;
				border-right-style: solid;
				border-right-width: 1px;
				border-top-color: #A3A3A3;
				border-top-style: solid;
				border-top-width: 1px;
				border-bottom-color: #A3A3A3;
				border-bottom-style: solid;
				border-bottom-width: 1px;
				padding-bottom: 0.2em;
				padding-left: 0.5em;
				padding-right: 0.5em;
				padding-top: 0.2em;
				position: relative;
				cursor:pointer;
				margin-right:-6px;
			}
			
			.class_navtab_spacer {
				color:#A3A3A3;
				border-bottom-color: #A3A3A3;
				border-bottom-style: solid;
				border-bottom-width: 1px;
				padding-bottom: 0.2em;
				padding-left: 0.5em;
				padding-right: 0.5em;
				padding-top: 0.2em;
				position: relative;
				cursor:pointer;
				width:100%;
			}

			.class_container
			{
				border-color:#ADCCE1;
				border-left-style: solid;
				border-left-width: 1px;
				border-bottom-style: solid;
				border-bottom-width: 1px;
				padding:10px;
			}
			</style>
			<script type="text/javascript">
				
				jQuery(document).ready(function() 
				{
					
					<?php
					if ($_GET['container']=='keyword_profiles')
					{
						echo 'jQuery(\'#id_container_keyword_profiles\').show();';
						echo 'jQuery(\'#id_container_post_profiles\').hide();';
						echo 'jQuery(\'#id_container_category_profiles\').hide();';
						echo 'jQuery(\'#id_container_google_profiles\').hide();';
						
						echo 'jQuery(\'#id_navtab_keyword_profiles\').attr(\'class\',\'class_navtab_active\');';
						echo 'jQuery(\'#id_navtab_post_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_category_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_google_profiles\').attr(\'class\',\'class_navtab_inactive\');';
					}
					else if ($_GET['container']=='post_profiles')
					{
						echo 'jQuery(\'#id_container_keyword_profiles\').hide();';
						echo 'jQuery(\'#id_container_post_profiles\').show();';
						echo 'jQuery(\'#id_container_category_profiles\').hide();';
						echo 'jQuery(\'#id_container_google_profiles\').hide();';
						
						echo 'jQuery(\'#id_navtab_keyword_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_post_profiles\').attr(\'class\',\'class_navtab_active\');';
						echo 'jQuery(\'#id_navtab_category_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_google_profiles\').attr(\'class\',\'class_navtab_inactive\');';
					}
					else if ($_GET['container']=='category_profiles')
					{
						echo 'jQuery(\'#id_container_keyword_profiles\').hide();';
						echo 'jQuery(\'#id_container_post_profiles\').hide();';
						echo 'jQuery(\'#id_container_category_profiles\').show();';
						echo 'jQuery(\'#id_container_google_profiles\').hide();';
						
						echo 'jQuery(\'#id_navtab_keyword_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_post_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_category_profiles\').attr(\'class\',\'class_navtab_active\');';
						echo 'jQuery(\'#id_navtab_google_profiles\').attr(\'class\',\'class_navtab_inactive\');';
					
					}
					else if ($_GET['container']=='google_profiles')
					{
						echo 'jQuery(\'#id_container_keyword_profiles\').hide();';
						echo 'jQuery(\'#id_container_post_profiles\').hide();';
						echo 'jQuery(\'#id_container_category_profiles\').hide();';
						echo 'jQuery(\'#id_container_google_profiles\').show();';
						
						echo 'jQuery(\'#id_navtab_keyword_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_post_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_category_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_google_profiles\').attr(\'class\',\'class_navtab_active\');';
					
					}
					else 
					{

						echo 'jQuery(\'#id_container_keyword_profiles\').show();';
						echo 'jQuery(\'#id_container_post_profiles\').hide();';
						echo 'jQuery(\'#id_container_category_profiles\').hide();';
						echo 'jQuery(\'#id_container_google_profiles\').hide();';
						
						echo 'jQuery(\'#id_navtab_keyword_profiles\').attr(\'class\',\'class_navtab_active\');';
						echo 'jQuery(\'#id_navtab_post_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_category_profiles\').attr(\'class\',\'class_navtab_inactive\');';
						echo 'jQuery(\'#id_navtab_google_profiles\').attr(\'class\',\'class_navtab_inactive\');';
					}
					?>
					
					jQuery('#id_navtab_keyword_profiles').live('click', function() {
						jQuery('#id_container_keyword_profiles').show();
						jQuery('#id_container_post_profiles').hide();
						jQuery('#id_container_category_profiles').hide();
						jQuery('#id_container_google_profiles').hide();
						
						jQuery('#id_navtab_keyword_profiles').attr('class','class_navtab_active');
						jQuery('#id_navtab_post_profiles').attr('class','class_navtab_inactive');
						jQuery('#id_navtab_category_profiles').attr('class','class_navtab_inactive');
						jQuery('#id_navtab_google_profiles').attr('class','class_navtab_inactive');
					});
					
					jQuery('#id_navtab_post_profiles').live('click', function() {
						jQuery('#id_container_keyword_profiles').hide();
						jQuery('#id_container_post_profiles').show();
						jQuery('#id_container_category_profiles').hide();
						jQuery('#id_container_google_profiles').hide();
						
						jQuery('#id_navtab_keyword_profiles').attr('class','class_navtab_inactive');
						jQuery('#id_navtab_post_profiles').attr('class','class_navtab_active');
						jQuery('#id_navtab_category_profiles').attr('class','class_navtab_inactive');
						jQuery('#id_navtab_google_profiles').attr('class','class_navtab_inactive');
					});
					
					jQuery('#id_navtab_category_profiles').live('click', function() {
						jQuery('#id_container_keyword_profiles').hide();
						jQuery('#id_container_post_profiles').hide();
						jQuery('#id_container_category_profiles').show();
						jQuery('#id_container_google_profiles').hide();
						
						jQuery('#id_navtab_keyword_profiles').attr('class','class_navtab_inactive');
						jQuery('#id_navtab_post_profiles').attr('class','class_navtab_inactive');
						jQuery('#id_navtab_category_profiles').attr('class','class_navtab_active');
						jQuery('#id_navtab_google_profiles').attr('class','class_navtab_inactive');
					});
					
					
					jQuery('#id_navtab_google_profiles').live('click', function() {
						jQuery('#id_container_keyword_profiles').hide();
						jQuery('#id_container_post_profiles').hide();
						jQuery('#id_container_category_profiles').hide();
						jQuery('#id_container_google_profiles').show();
						
						jQuery('#id_navtab_keyword_profiles').attr('class','class_navtab_inactive');
						jQuery('#id_navtab_post_profiles').attr('class','class_navtab_inactive');
						jQuery('#id_navtab_category_profiles').attr('class','class_navtab_inactive');
						jQuery('#id_navtab_google_profiles').attr('class','class_navtab_active');
					});
					
					jQuery('#id_advertisements_form_content_add_profile').click(function() {
						//alert('hello');
						var html = '<tr><td style="width:140px"><input type="hidden" name="advertisements_content_profile_id[]" value="x">Advertisment Name:<br></td><td align="left"><input name="advertisements_content_profile_name[]" style="width:300px;"></td></tr><tr><td colspan=2 >Advertisement Code:<br><font style="font-size:10px;"><i><img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="This variable will call the exact keyword discovered (Out of the group associated with a keyword profile). Use with 3rd party shortcodes such as phpBay and phpZon. You can also use this with javascript. ADVANCED: set-up your variable like this: %keyword_query-exludeword1,excludeword2,excludeword3% to have each exclude word stripped from the keyphrase (Good for long tail keywords coming in from Google)">%keyword_query% <br><img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="This variable will use the title of the post as a keyword, stripping out common words like "and/are/the/a,etc". Use with 3rd party shortcodes such as phpBay and phpZon. You can also use this with javascript. ADVANCED: set-up your variable like this: %keyword_title-exludeword1,excludeword2,excludeword3% to have each exclude word stripped from the keyphrase (Good for long tail keywords coming in from Google)">%keyword_title_filtered% <br><img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="This variable will choose a tag at random to display the keyword. "and/are/the/a,etc". Use with 3rd party shortcodes such as phpBay and phpZon. You can also use this with javascript."> %keyword_random_tag% <br><img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="This variable will check for a query, then create a keyword out of the title if no query is found. Use with 3rd party shortcodes such as phpBay and phpZon. You can also use this with javascript. ADVANCED: set-up your variable like this: %keyword_autodiscover-exludeword1,excludeword2,excludeword3% to have each exclude word stripped from the keyphrase (Good for long tail keywords coming in from Google)">%keyword_auto_discover% <br><img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="Enclose spyntax ready content in [spyntax][/spyntax] formatting blocks to have WPTT spin the content before publishing.">[spyntax][/spyntax]</i></font><textarea name="advertisements_content_profile_content[]" style="width:100%; height:80px;"></textarea></td></tr>';
						jQuery('#id_advertisements_table_content_profiles tr:last').after(html);
					});
					
					jQuery('#id_advertisements_form_content_save_profile').click(function() {
						//alert('hello');
						jQuery("#id_advertisements_form_content").submit();
					});
					
					jQuery('#id_advertisements_form_keywords_add_profile').click(function() {
						var marker = jQuery('#id_advertisements_table_keywords_profiles tr').length;
						marker = marker;
						var content_profiles = jQuery('#id_advertisements_select_content_profiles').clone().html();
						var content_placement = '<select name=\'advertisements_keywords_content_placement[]\'><option value=\'above\' >Above the Content</option><option value=\'middle\'>Middle of the Content</option><option value=\'below\' >Below the Content</option><option value=\'widget\'>Widget</option>	</select>';
						var profile_status = jQuery('#id_advertisements_select_status').clone().html();
						var html = '<tr><td width=\'20\'><img  onClick="jQuery(this).parent().parent().remove();" src="<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png" style="cursor:pointer;"><input type=hidden name="advertisements_keywords_profile_id[]" value="x"></td><td><input  name=\'advertisements_keywords_keywords[]\'  value=\'\' style=\'width:400px\'></td><td>'+content_profiles+'</td><td>'+content_placement+'</td><td align="center"><input name="advertisements_search_content['+marker+']" type="checkbox"></td><td align="center"><input name="advertisements_search_referral['+marker+']" type="checkbox"></td><td>'+ profile_status +'</td></tr>';
						jQuery('#id_advertisements_table_keywords_profiles tr:last').after(html);
					
					});
					
					jQuery('#id_advertisements_form_google_add_profile').click(function() {
						var marker = jQuery('#id_advertisements_table_google_profiles tr').length;
						marker = marker;
						var content_profiles = jQuery('#id_advertisements_select_content_profiles').clone().html();
						var content_placement = '<select name=\'advertisements_google_placement[]\'><option value=\'above\' >Above the Content</option><option value=\'middle\'>Middle of the Content</option><option value=\'below\' >Below the Content</option><option value=\'widget\'>Widget</option>	</select>';
						var profile_status = '<select name=\'advertisements_google_status[]\' ><option value=\'2\' selected=true>Active - Cache Mode</option><option value=\'1\' >Active - Nocache Mode</option><option value=\'0\' >Not Active</option></select>';
						var html = '<tr><td width=\'20\'><img  onClick="jQuery(this).parent().parent().remove();" src="<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png" style="cursor:pointer;"><input type=hidden name="advertisements_google_profile_id[]" value="x"></td><td align="left" id=\'id_advertisements_td_advertisment_profiles\'>'+content_profiles+'</td><td align="left">'+content_placement+'</td><td align="left">'+ profile_status +'</td></tr>';
						jQuery('#id_advertisements_table_google_profiles tr:last').after(html);
						jQuery('#id_advertisements_td_advertisment_profiles select').attr('name','advertisements_google_content_profile_id[]');
					});
					
					jQuery('#id_advertisements_form_category_add_profile').click(function() {
						var marker = jQuery('#id_advertisements_table_category_profiles tr').length;
						marker = marker;
						var content_profiles = jQuery('#id_advertisements_select_content_profiles').clone().html();
						var category_selects = jQuery('#id_advertisements_select_category_selects').clone().html();
						var content_placement = '<select name=\'advertisements_category_placement[]\'><option value=\'above\' >Above the Content</option><option value=\'middle\'>Middle of the Content</option><option value=\'below\' >Below the Content</option><option value=\'widget\'>Widget</option>	</select>';
						var profile_status = '<select name=\'advertisements_category_status[]\' ><option value=\'1\' >Active</option><option value=\'0\' >Not Active</option></select>';
						var html = '<tr><td width=\'20\'><img  onClick="jQuery(this).parent().parent().remove();" src="<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png" style="cursor:pointer;"><input type=hidden name="advertisements_category_profile_id[]" value="x"></td><td align="left" id=\'id_advertisements_td_category_advertisment_profiles\'>'+content_profiles+'</td><td align="left">'+category_selects+'</td><td align="left">'+content_placement+'</td><td align="left">'+ profile_status +'</td></tr>';
						jQuery('#id_advertisements_table_category_profiles tr:last').after(html);
						jQuery('#id_advertisements_td_category_advertisment_profiles select').attr('name','advertisements_category_content_profile_id[]');
						jQuery('.class_advertisments_category_selects_placeholder').remove();
					});
					
					jQuery('.class_advertisements_content_del').click(function() {
						var cid = this.id.replace('id_advertisements_content_del_','');
						jQuery('#id_advertisements_content_h3_'+cid).html('<i>Removed</i>');
						jQuery('#id_advertisements_content_table_'+cid).remove();
					});
					
					jQuery('#id_advertisements_form_keywords_save_profile').click(function() {
						//alert('hello');
						jQuery("#id_advertisements_form_keywords").submit();
					});
					
					jQuery('#id_advertisements_form_google_save_profile').click(function() {
						//alert('hello');
						jQuery("#id_advertisements_form_google").submit();
					});
					
					jQuery('#id_advertisements_form_category_save_profile').click(function() {
						//alert('hello');
						jQuery("#id_advertisements_form_category").submit();
					});
					
					jQuery('#id_advertisements_form_post_add_profile').click(function() {
						var content_profiles = jQuery('#id_advertisements_select_content_profiles').clone().html();
						var content_placement = jQuery('#id_advertisements_select_placement').clone().html();
						var html = '<tr><td width=\'20\'><img  onClick="jQuery(this).parent().parent().remove();" src="<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png" style="cursor:pointer;"></td><td><input type=hidden name="advertisements_post_profile_id[]" value="x"><input  name=\'advertisements_post_post_id[]\'  value=\'\' style=\'width:50px\'></td><td>'+content_profiles+'</td><td>'+content_placement+'</td></tr>';
						jQuery('#id_advertisements_table_post_profiles tr:last').after(html);
					});
					
					jQuery('#id_advertisements_form_post_save_profile').click(function() {
						//alert('hello');
						jQuery("#id_advertisements_form_post").submit();
					});
				});
				


			</script>
		<?php
	}
	
	function advertisements_settings()
	{
		global $table_prefix;
		
		$query = "SELECT * FROM {$table_prefix}wptt_advertisements_post_profiles";
		$result = mysql_query($query);
		if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
		while ($arr = mysql_fetch_array($result))
		{
			$advertisements_post_profile_id[] = $arr['id'];
			$advertisements_post_post_id[] = $arr['post_id'];
			$advertisements_post_content_profile_id[] = $arr['content_profile_id'];
			$advertisements_post_placement[] = $arr['placement'];
			$advertisements_post_drop_count[] = $arr['drop_count'];
		}
		
		$query = "SELECT * FROM {$table_prefix}wptt_advertisements_keywords_profiles";
		$result = mysql_query($query);
		if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
		while ($arr = mysql_fetch_array($result))
		{
			$advertisements_keywords_profile_id[] = $arr['id'];
			$advertisements_keywords_content_profile_id[] = $arr['content_profile_id'];
			$advertisements_keywords_keywords[] = $arr['keywords'];
			$advertisements_keywords_placement[] = $arr['placement'];
			$advertisements_keywords_search_content[] = $arr['search_content'];
			$advertisements_keywords_search_referral[] = $arr['search_referral'];
			$advertisements_keywords_status[] = $arr['status'];
			$advertisements_keywords_drop_count[] = $arr['drop_count'];
		}
		
		$query = "SELECT * FROM {$table_prefix}wptt_advertisements_google_profiles";
		$result = mysql_query($query);
		if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
		while ($arr = mysql_fetch_array($result))
		{
			$advertisements_google_profile_id[] = $arr['id'];
			$advertisements_google_content_profile_id[] = $arr['content_profile_id'];
			$advertisements_google_placement[] = $arr['placement'];
			$advertisements_google_status[] = $arr['status'];
			$advertisements_google_drop_count[] = $arr['drop_count'];
		}
		
		$query = "SELECT * FROM {$table_prefix}wptt_advertisements_category_profiles";
		$result = mysql_query($query);
		if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
		while ($arr = mysql_fetch_array($result))
		{
			$advertisements_category_profile_id[] = $arr['id'];
			$advertisements_category_content_profile_id[] = $arr['content_profile_id'];
			$advertisements_category_category_id[] = $arr['category_id'];
			$advertisements_category_placement[] = $arr['placement'];
			$advertisements_category_status[] = $arr['status'];
			$advertisements_category_drop_count[] = $arr['drop_count'];
		}
		
		$query = "SELECT * FROM {$table_prefix}wptt_advertisements_content_profiles ";
		$result = mysql_query($query);
		if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
		while ($arr = mysql_fetch_array($result))
		{
			$advertisements_content_profile_id[] = $arr['id'];
			$advertisements_content_profile_name[] = $arr['profile_name'];
			$advertisements_content_profile_content[] = stripslashes($arr['content']);
		}
		
		?>
		
		<br><br><br>
		<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_content_add_profile'>Add Advertisement Block</span>&nbsp&nbsp;&nbsp&nbsp;
		<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_content_save_profile'>Save Block(s)</span>
		<br><br>
		<form name='advertisements_content_profile_add' id='id_advertisements_form_content' method="post" action="?page=wp-traffic-tools/wp-traffic-tools.php&tab_display=3">
		<input type='hidden' name='advertisements_content_form_nature' value='save_profile'>
		<table id='id_advertisements_table_content_profiles' style='width:100%'>
			<tr>
				
			</tr>
		</table>
		<div id='id_advertisements_accordion'>
			<?php
			if ($advertisements_content_profile_id)
			{
				foreach ($advertisements_content_profile_id as $k=>$v)
				{
					$i=$k+1;
					?>
					<h3 style='font-size:14px;' id='id_advertisements_content_h3_<?php echo $advertisements_content_profile_id[$k]; ?>'><a href="#"><?php echo $advertisements_content_profile_name[$k]; ?></a></h3>
					<div >
						<table width='100%' id='id_advertisements_content_table_<?php echo $advertisements_content_profile_id[$k]; ?>'>
							<tr>
								<td style='width:150px;font-size:10px' >
								 AD NAME:<br>
								</td>
								<td>
									<input name="advertisements_content_profile_name[]" style="width:250px;" value='<?php echo $advertisements_content_profile_name[$k]; ?>'>
									&nbsp;&nbsp; <img  src='<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png' style='cursor:pointer;' class='class_advertisements_content_del' id='id_advertisements_content_del_<?php echo $advertisements_content_profile_id[$k]; ?>'>
									<input type='hidden' name="advertisements_content_profile_id[]" style="width:200px;" value='<?php echo $advertisements_content_profile_id[$k]; ?>'>
								</td>
							</tr>
							<tr>
								<td width='' valign=top>
									
									<font style='font-size:10px'>AD CONTENT:</font>
								</td>
								<td>
									<font style='font-size:10px;'>
									<i>
									<img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="This variable will call the exact keyword discovered, be it from the Google Search the user came in on (if used within a Google Searches Profile), or the keyword found within the content that caused the ad to place (if used with a Keyword Targeted Profile).  Use with 3rd party shortcodes such as phpBay and phpZon. You can also use this with javascript. ADVANCED: set-up your variable like this: %keyword_query-exludeword1,excludeword2,excludeword3% to have each exclude word stripped from the keyphrase (Good for long tail keywords coming in from Google)"> 											
									%keyword_query% <br>
									<img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="This variable will use the title of the post as a keyword, stripping out common words like 'and/are/the/a,etc'. Use with 3rd party shortcodes such as phpBay and phpZon. You can also use this with javascript. ADVANCED: set-up your variable like this: %keyword_title-exludeword1,excludeword2,excludeword3% to have each exclude word stripped from the keyphrase (Good for long tail keywords coming in from Google)"> 											
									%keyword_title_filtered% <br>
									<img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="This variable will choose a tag at random to display the keyword. 'and/are/the/a,etc'. Use with 3rd party shortcodes such as phpBay and phpZon. You can also use this with javascript."> 											
									%keyword_random_tag% <br>
									<img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="This variable will check for a query, then create a keyword out of the title if no query is found. Use with 3rd party shortcodes such as phpBay and phpZon. You can also use this with javascript. ADVANCED: set-up your variable like this: %keyword_autodiscover-exludeword1,excludeword2,excludeword3% to have each exclude word stripped from the keyphrase (Good for long tail keywords coming in from Google)"> 											
									%keyword_auto_discover% <br>
									<img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="Enclose spyntax ready content in [spyntax][/spyntax] formatting blocks to have WPTT spin the content before publishing.">[spyntax][/spyntax]
									</i></font>
									<br>
									<textarea name="advertisements_content_profile_content[]" style="width:100%; height:60px;"><?php echo $advertisements_content_profile_content[$k]; ?></textarea>
								</td>
							</tr>
						</table>
					</div>
					<?php
				}
			}
			?>
			
		</div>			
		</form>
		
		<br><br>
		<span class='class_navtab_active' id='id_navtab_keyword_profiles'>Keyword Targeted Placements</span>
		<span class='class_navtab_inactive' id='id_navtab_post_profiles'>Post Specific Placements</span>
		<span class='class_navtab_inactive' id='id_navtab_category_profiles'>Category Specific Placements</span>
		<span class='class_navtab_inactive' id='id_navtab_google_profiles'>Google Searches Placements</span>	

		<div id='id_container_keyword_profiles' class='class_container'>	
			<h3>Keyword Detection Profiles</h3>
			
			<br>
			<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_keywords_add_profile'>Add Profile</span>&nbsp&nbsp;&nbsp&nbsp;
			<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_keywords_save_profile'>Save Profile(s)</span>
			<br><br>
			<form name='advertisements_keywords_profile_add' id='id_advertisements_form_keywords' method="post" action="?page=wp-traffic-tools/wp-traffic-tools.php&tab_display=3&container=keyword_profiles">
			<input type='hidden' name='advertisements_keywords_form_nature' value='save_profile'>	
			<table id='id_advertisements_table_keywords_profiles' style='width:100%'>
				<tr>
					<td colspan='7'>
					<i>Profiles created here will target keywords discovered in the post content. If a match is found then the advertisment will display. The option to search either the content (which includes the title of a post and it's post body) or the search referral (which is the URL of the page that referred the traffic, such as a google search page. The difference between this module and the Google Traffic module is the ladder targets ALL incoming google traffic, where as this module will allow us to target traffic only pertaining to our keywords; this is for better targeting advertisments to visitors.</i>
					<br><br>
					</td>
				</tr>
				<tr>
					<td width='20' align='center'>
						#
					</td>
					<td align='center' width='140'>
							<img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="seperate keywords with commas. WP Traffic Tools will check post content for these keywords and if found it will insert the associated advertisment.">  <i>Placement by Keyword Detection</i>												
					</td>
					<td align='center'>
							<i>Advertisement</i>											
					</td>
					<td align='center'>
							<i>Placement</i>											
					</td>

					<td align='center'>
							<i>Search Content</i>											
					</td>
					<td align='center'>
							<i>Search Referral</i>											
					</td>
					<td align='center'>
							<i>Status</i>											
					</td>
				</tr>
				<?php
				if ($advertisements_keywords_profile_id)
				{
					foreach ($advertisements_keywords_profile_id as $k=>$v)
					{
						$i=$k+1;
						
						?>
						<tr>
							<td width='20'>
								<input type=hidden name='advertisements_keywords_profile_id[]' value='<?php echo $v; ?>'>
								<img  onClick='jQuery(this).parent().parent().remove();' src='<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png' style='cursor:pointer;'>
							</td>
							<td>
								<input  name='advertisements_keywords_keywords[]' value='<?php echo $advertisements_keywords_keywords[$k]; ?>' style='width:400px'>			
							</td>
							<td id='id_advertisements_select_content_profiles'>
								<select name='advertisements_keywords_content_profile_id[]' >
										<?php
										
										foreach ($advertisements_content_profile_id as $a=>$b)
										{
											if ($advertisements_keywords_content_profile_id[$k]==$b)
											{
												$selected = 'selected=true';
											}
											else
											{
												$selected = '';
											}
											
											echo "<option value='$b' $selected>$advertisements_content_profile_name[$a]</option>";
										}
										
										?>
								</select>
							</td>
							<td <?php if ($k==0) { echo " id='id_advertisements_select_placement'"; } ?>>
								<select name='advertisements_keywords_placement[]' id='id_advertisements_select_placement'>
										<option value='above' <?php if ($advertisements_keywords_placement[$k]=='above'){echo "selected='true'"; } ?>>Above the Content</option>									
										<option value='middle' <?php if ($advertisements_keywords_placement[$k]=='middle'){echo "selected='true'"; } ?>>Middle of the Content</option>									
										<option value='below' <?php if ($advertisements_keywords_placement[$k]=='below'){echo "selected='true'"; } ?>>Below the Content</option>									
										<option value='widget' <?php if ($advertisements_keywords_placement[$k]=='widget'){echo "selected='true'"; } ?>>Widget</option>									
								</select>
							</td>
							<td align='center'>
								<input name='advertisements_keywords_search_content[<?php echo $k; ?>]' type='checkbox' <?php if ($advertisements_keywords_search_content[$k]=='1'){ echo "checked='true'";}?>>
							</td>
							<td align='center'>
								<input name='advertisements_keywords_search_referral[<?php echo $k; ?>]' type='checkbox' <?php if ($advertisements_keywords_search_referral[$k]=='1'){ echo "checked='true'";}?>>
							</td>
							<td align='center' <?php if ($k==0) { echo " id='id_advertisements_select_status'"; } ?>>
								<select name='advertisements_keywords_status[]' >
									<?php
										if ($advertisements_keywords_status[$k]=='1')
										{
											echo "<option value='1' selected=true>Active</option>";
											echo "<option value='0' >Not Active</option>";
										}
										else
										{
											echo "<option value='1'>Active</option>";
											echo "<option value='0' selected=true>Not Active</option>";
										}	
									?>
								</select>
								
							</td>
						</tr>
					<?php
					}
				}
				else
				{
						?>
						<tr>
							<td width='20'>
								<input type=hidden name='advertisements_keywords_profile_id[]' value='x' id='id_advertisements_keywords_marker_0'><?php echo $i; ?>
							</td>
							<td align='center' >
								<input  name='advertisements_keywords_keywords[]' value='' style='width:400px'>			
							</td>
							<td align='center'  id='id_advertisements_select_content_profiles' >
								<select name='advertisements_keywords_content_profile_id[]'>
										<?php
										
										foreach ($advertisements_content_profile_id as $a=>$b)
										{
											if ($advertisements_keywords_content_profile_id==$b)
											{
												$selected = 'selected=true';
											}
											else
											{
												$selected = '';
											}
											
											echo "<option value='$b' $selected>$advertisements_content_profile_name[$a]</option>";
										}
										
										?>
								</select>
							</td>
							<td align='center' id='id_advertisements_select_content_placement'>
								<select name='advertisements_keywords_placement[]' >
										<option value='above' <?php if ($advertisements_keywords_placement=='above'){echo "selected='true'"; } ?>>Above the Content</option>									
										<option value='middle' <?php if ($advertisements_keywords_placement=='middle'){echo "selected='true'"; } ?>>Middle of the Content</option>									
										<option value='below' <?php if ($advertisements_keywords_placement=='below'){echo "selected='true'"; } ?>>Below the Content</option>
										<option value='widget' <?php if ($advertisements_keywords_placement[$k]=='widget'){echo "selected='true'"; } ?>>Widget</option>											
								</select>
							</td>
							<td align='center'>
								<input name='advertisements_keywords_search_content[0]' type='checkbox' <?php if ($advertisements_keywords_search_content[$k]=='1'){ echo "checked='true'";}?>>
							</td>
							<td align='center'>
								<input name='advertisements_keywords_search_referral[0]' type='checkbox' <?php if ($advertisements_keywords_search_referral[$k]=='1'){ echo "checked='true'";}?>>
							</td>
							<td  id='id_advertisements_select_status'>
								<select name='advertisements_keywords_status[]'>
									<?php
										
											echo "<option value='1' selected=true>Active</option>";
											echo "<option value='0' >Not Active</option>";
									?>
								</select>
								<img  onClick='jQuery(this).parent().parent().remove();' src='<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png' style='cursor:pointer;'>
							</td>
						</tr>
				<?php
				}
				?>
			</table>				
			</form>
			</div>
			
			<div id='id_container_post_profiles'  class='class_container'>	
			<h3>Post Specific Profiles</h3>
			
			<br>
			<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_post_add_profile'>Add Profile</span>&nbsp&nbsp;&nbsp&nbsp;
			<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_post_save_profile'>Save Profile(s)</span>
			<br><br>
			<form name='advertisements_post_profile_add' id='id_advertisements_form_post' method="post" action="?page=wp-traffic-tools/wp-traffic-tools.php&tab_display=3&container=post_profiles">	
			<input type='hidden' name='advertisements_post_form_nature' value='save_profile'>
			<table id='id_advertisements_table_post_profiles' style='width:100%'>
				<tr>
					<td colspan='4'>
					<i>Post specific profiles are applied to individual posts. These settings can also be edited from within the post editing / creation area of Wordpress.</i>
					<br><br>
					</td>
				</tr>
				<tr>
					<td width='20' align='center'>
						#
					</td>
					<td align='left' width='140'>
							<img src="<?php echo WPTRAFFICTOOLS_URLPATH; ?>images/tip.png" style="cursor:pointer;" border=0 title="Post ID to insert advertisement into. If you would like to display an advertisement on the homepage please enter in 'h' as your post_id. Only one profile is currenly allowed to be created on the homepage.">  <i>Post ID</i>												
					</td>
					<td align='left'>
							<i>Advertisments</i>										
					</td>
					<td align='left'>
							<i>Placement</i>										
					</td>
				</tr>
				<?php
				if ($advertisements_post_profile_id)
				{
					foreach ($advertisements_post_profile_id as $k=>$v)
					{
						$i=$k+1;
						?>
						
						<tr>
							<td width='20'>
								<img  onClick='jQuery(this).parent().parent().remove();' src='<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png' style='cursor:pointer;'>
								<input type=hidden name="advertisements_post_profile_id[]" value="<?php echo $advertisements_post_profile_id[$k]; ?>">
							</td>
							<td>
								<input  name='advertisements_post_post_id[]' size=45 value='<?php echo $advertisements_post_post_id[$k]; ?>' style='width:50px'>			
							</td>
							<td <?php if ($k==0) { echo " id='id_select_post_content_profiles'"; } ?>>
								<select name='advertisements_post_content_profile_id[]'>
										<?php
										
										foreach ($advertisements_content_profile_id as $a=>$b)
										{
											if ($advertisements_post_content_profile_id[$k]==$b)
											{
												$selected = 'selected=true';
											}
											else
											{
												$selected = '';
											}
											
											echo "<option value='$b' $selected>$advertisements_content_profile_name[$a]</option>";
										}
										
										?>
								</select>
								
							
							</td>
							<td>
								<select name='advertisements_post_placement[]' id='id_advertisements_select_content_placement'>
										<option value='above' <?php if ($advertisements_post_placement[$k]=='above'){echo "selected='true'"; } ?>>Above the Content</option>									
										<option value='middle' <?php if ($advertisements_post_placement[$k]=='middle'){echo "selected='true'"; } ?>>Middle of the Content</option>									
										<option value='below' <?php if ($advertisements_post_placement[$k]=='below'){echo "selected='true'"; } ?>>Below the Content</option>
										<option value='widget' <?php if ($advertisements_post_placement[$k]=='widget'){echo "selected='true'"; } ?>>Widget</option>											
								</select>
							</td>
						</tr>
					<?php
						}
				}
				else
				{
						?>
						<tr>
							<td width='20'>
								<input type=hidden name='advertisements_post_profile_id[]' value='x'>1
							</td>
							<td>
								<input  name='advertisements_post_post_id[]' size=45 value='<?php echo $advertisements_post_post_id[$k]; ?>' style='width:50px'>			
							</td>
							<td >
								<select name='advertisements_post_content_profile_id[]'>
										<?php	
										foreach ($advertisements_content_profile_id as $a=>$b)
										{
											echo "<option value='$b'>$advertisements_content_profile_name[$a]</option>";
										}
										
										?>
								</select>
								
								<img  onClick='jQuery(this).parent().parent().remove();' src='<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png' style='cursor:pointer;'>
							
							</td>
							<td>
								<select name='advertisements_post_placement' id='id_advertisements_select_content_placement'>
										<option value='above' <?php if ($advertisements_post_placement[$k]=='above'){echo "selected='true'"; } ?>>Above the Content</option>									
										<option value='middle' <?php if ($advertisements_post_placement[$k]=='middle'){echo "selected='true'"; } ?>>Middle of the Content</option>									
										<option value='below' <?php if ($advertisements_post_placement[$k]=='below'){echo "selected='true'"; } ?>>Below the Content</option>
										<option value='widget' <?php if ($advertisements_post_placement[$k]=='widget'){echo "selected='true'"; } ?>>Widget</option>	
								</select>
							</td>
						</tr>
				<?php
				}
				?>
			</table>				
			</form>
		</div>	
		
		
		<div id='id_container_category_profiles'  class='class_container'>	
			<h3>Category Specific Profiles</h3>
			
			<br>
			<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_category_add_profile'>Add Profile</span>&nbsp&nbsp;&nbsp&nbsp;
			<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_category_save_profile'>Save Profile(s)</span>
			<br><br>
			<form name='advertisements_category_profile_add' id='id_advertisements_form_category' method="post" action="?page=wp-traffic-tools/wp-traffic-tools.php&tab_display=3&container=category_profiles">
			<input type='hidden' name='advertisements_category_form_nature' value='save_profile'>	
			<table id='id_advertisements_table_category_profiles' style='width:100%'>
				<tr>
					<td colspan='4'>
					<i>Category placements will apply an advertisment to all posts associated with a designated category, unless the post is determined to have a keyword specific placement already detected, in which if the former is the case then the keyword specific pofiles and post specific profiles will take precedence over the category specific profiles.</i>
					<br><br>
					</td>
				</tr>
				<tr>
					<td width='20' align='center'>
						#
					</td>
					<td align='left'>
							<i>Advertisement</i>											
					</td>
					<td align='left'>
							<i>Category</i>											
					</td>
					<td align='left'>
							<i>Placement</i>											
					</td>
					<td align='left'>
							<i>Status</i>											
					</td>
				</tr>
				<?php
				if ($advertisements_category_profile_id)
				{
					foreach ($advertisements_category_profile_id as $k=>$v)
					{
						$i=$k+1;
						
						?>
						<tr>
							<td width='20'>
								<input type=hidden name='advertisements_category_profile_id[]' value='<?php echo $v; ?>'>
								<img  onClick='jQuery(this).parent().parent().remove();' src='<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png' style='cursor:pointer;'>
							</td>
							<td id='id_advertisements_td_category_advertisment_profiles'>
								<select name='advertisements_category_content_profile_id[]' >
										<?php
										
										foreach ($advertisements_content_profile_id as $a=>$b)
										{
											if ($advertisements_category_content_profile_id[$k]==$b)
											{
												$selected = 'selected=true';
											}
											else
											{
												$selected = '';
											}
											
											echo "<option value='$b' $selected>$advertisements_content_profile_name[$a]</option>";
										}
										
										?>
								</select>
							</td>
							<td id='id_advertisements_select_category_selects' >
								<?php
								$args = array('name'=>'advertisements_category_category_id[]','selected'=>"$advertisements_category_category_id[$k]");
								wp_dropdown_categories( $args );
								?>
							</td>
							<td <?php if ($k==0) { echo " id='id_advertisements_select_placement'"; } ?>>
								<select name='advertisements_category_placement[]' id='id_advertisements_select_placement'>
										<option value='above' <?php if ($advertisements_category_placement[$k]=='above'){echo "selected='true'"; } ?>>Above the Content</option>									
										<option value='middle' <?php if ($advertisements_category_placement[$k]=='middle'){echo "selected='true'"; } ?>>Middle of the Content</option>									
										<option value='below' <?php if ($advertisements_category_placement[$k]=='below'){echo "selected='true'"; } ?>>Below the Content</option>
										<option value='widget' <?php if ($advertisements_category_placement[$k]=='widget'){echo "selected='true'"; } ?>>Widget</option>	
								</select>
							</td>				
							<td align='left' <?php if ($k==0) { echo " id='id_advertisements_select_status'"; } ?>>
								<select name='advertisements_category_status[]' >
									<?php										
										if ($advertisements_category_status[$k]=='1')
										{
											echo "<option value='1' >Active</option>";
											echo "<option value='0' >Not Active</option>";
										}
										else
										{
											echo "<option value='1' selected=true>Active</option>";
											echo "<option value='0' >Not Active</option>";
										}	
									?>
								</select>
								
							</td>
							
						</tr>
					<?php
					}
				}
				else
				{
					?>
						<div id='id_advertisements_select_category_selects' class='class_advertisments_category_selects_placeholder' style='display:none'>
							<?php
								$args = array('name'=>'advertisements_category_category_id[]','selected'=>"$advertisements_category_category_id[$k]");
								wp_dropdown_categories( $args );
							?>
						</div>
					<?php
				}
				?>
			
			</table>	
			</form>
		</div>
		
		
		<div id='id_container_google_profiles'  class='class_container'>	
			<h3>Google Specific Profiles</h3>
			
			<br>
			<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_google_add_profile'>Add Profile</span>&nbsp&nbsp;&nbsp&nbsp;
			<span style='background-color:#1E90FF;border-style:solid;border-width:1px;padding:2px;border-color:#000000;color:#fff;cursor:pointer;' id='id_advertisements_form_google_save_profile'>Save Profile(s)</span>
			<br><br>
			<form name='advertisements_google_profile_add' id='id_advertisements_form_google' method="post" action="?page=wp-traffic-tools/wp-traffic-tools.php&tab_display=3&container=google_profiles">
			<input type='hidden' name='advertisements_google_form_nature' value='save_profile'>	
			<table id='id_advertisements_table_google_profiles' style='width:100%'>
				<tr>
					<td colspan='4'>
					<i>Google profiles are applied globally, but will only affect traffic incomming from Google searches. When making use of Google profiles, the %keyword_query% variable within the advertisement template will be replaced by the term the user searched to find the post/page; opening up a wide variety of creative programming uses. Set to 'Active Cache Mode' to have the latest rendering embedded into the post content until the next rendering (In which the current ad will be updated wil a new ad). This will leave the ad visible for all non-google traffic. </i>
					<br><br>
					</td>
				</tr>
				<tr>
					<td width='20' align='center'>
						#
					</td>
					<td align='left'>
							<i>Advertisement</i>											
					</td>
					<td align='left'>
							<i>Placement</i>											
					</td>
					<td align='left'>
							<i>Status</i>											
					</td>
				</tr>
				<?php
				if ($advertisements_google_profile_id)
				{
					foreach ($advertisements_google_profile_id as $k=>$v)
					{
						$i=$k+1;
						
						?>
						<tr>
							<td width='20'>
								<input type=hidden name='advertisements_google_profile_id[]' value='<?php echo $v; ?>'>
								<img  onClick='jQuery(this).parent().parent().remove();' src='<?php echo ADVERTISEMENTS_URLPATH; ?>images/remove.png' style='cursor:pointer;'>
							</td>
							<td id='id_advertisements_td_google_advertisment_profiles'>
								<select name='advertisements_google_content_profile_id[]' >
										<?php
										
										foreach ($advertisements_content_profile_id as $a=>$b)
										{
											if ($advertisements_google_content_profile_id[$k]==$b)
											{
												$selected = 'selected=true';
											}
											else
											{
												$selected = '';
											}
											
											echo "<option value='$b' $selected>$advertisements_content_profile_name[$a]</option>";
										}
										
										?>
								</select>
							</td>
							<td <?php if ($k==0) { echo " id='id_advertisements_select_placement'"; } ?>>
								<select name='advertisements_google_placement[]' id='id_advertisements_select_placement'>
										<option value='above' <?php if ($advertisements_google_placement[$k]=='above'){echo "selected='true'"; } ?>>Above the Content</option>									
										<option value='middle' <?php if ($advertisements_google_placement[$k]=='middle'){echo "selected='true'"; } ?>>Middle of the Content</option>									
										<option value='below' <?php if ($advertisements_google_placement[$k]=='below'){echo "selected='true'"; } ?>>Below the Content</option>
										<option value='widget' <?php if ($advertisements_google_placement[$k]=='widget'){echo "selected='true'"; } ?>>Widget</option>	
								</select>
							</td>				
							<td align='left' <?php if ($k==0) { echo " id='id_advertisements_select_status'"; } ?>>
								<select name='advertisements_google_status[]' >
									<?php
										if ($advertisements_google_status[$k]=='2')
										{
											echo "<option value='2' selected=true>Active - Cache Mode</option>";
											echo "<option value='1' >Active - Nocache Mode</option>";
											echo "<option value='0' >Not Active</option>";
										}
										else if ($advertisements_google_status[$k]=='1')
										{
											echo "<option value='2' selected=true>Active - Cache Mode</option>";
											echo "<option value='1' >Active - Nocache Mode</option>";
											echo "<option value='0' >Not Active</option>";
										}
										else
										{
											echo "<option value='2' selected=true>Active - Cache Mode</option>";
											echo "<option value='1' selected=true>Active - Nocache Mode</option>";
											echo "<option value='0' >Not Active</option>";
										}	
									?>
								</select>
								
							</td>
							
						</tr>
					<?php
					}
				}
				?>
			
			</table>	
			</form>
		</div>
		<br><br><br>
		
	<?php
	}
		
	function advertisements_update_settings()
	{
		
		global $table_prefix;
		$wordpress_url = get_bloginfo('url');
		
		
		if ($_POST['advertisements_content_form_nature']=='save_profile')
		{
			//get all current profiles
			$advertisements_content_profile_id = array();
			$query = "SELECT * FROM {$table_prefix}wptt_advertisements_content_profiles ";
			$result = mysql_query($query);
			if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
			
			$content_profile_id = array();
			while ($arr = mysql_fetch_array($result))
			{
				$content_profile_id[] = $arr['id'];
				$content_profile_name[] = $arr['profile_name'];
				$content_content[] = $arr['content'];
			}
			
			
			//retrieve new batch
			$profile_id = $_POST['advertisements_content_profile_id'] ;
			$profile_name = $_POST['advertisements_content_profile_name'] ;
			$profile_content =$_POST['advertisements_content_profile_content'] ;
			
			//delete from database what is no longer 
			foreach ($content_profile_id as $k=>$v)
			{
				$v = trim($v);
				
				if (!in_array($v, $profile_id))
				{

					$query = "DELETE FROM {$table_prefix}wptt_advertisements_content_profiles WHERE id='$v'";
					$result = mysql_query($query);
					if (!$result) { echo $query; echo mysql_error(); }
				}
			}
			
			if ($profile_id)
			{
				//insert new items and update old items
				foreach ($profile_id as $k=>$v)
				{
					//print_r($profile_id);exit;
					$profile_name[$k] = addslashes(trim($profile_name[$k]));
					$profile_content[$k] = addslashes(trim($profile_content[$k]));
					//echo $v; exit;
					if ($v=='x'&&$profile_name[$k]&&$profile_content[$k])
					{
						//echo 1;exit;
						$query = "INSERT INTO {$table_prefix}wptt_advertisements_content_profiles (`profile_name`,`content`) VALUES ('$profile_name[$k]','$profile_content[$k]')";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
					else
					{
						//echo 2; exit;
						$query = "UPDATE {$table_prefix}wptt_advertisements_content_profiles SET profile_name='$profile_name[$k]', content='$profile_content[$k]' WHERE id='$v'";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
				}	
			}
		}
		
		if ($_POST['advertisements_keywords_form_nature']=='save_profile')
		{
			//echo 1;
			//get all current profiles
			$keywords_profile_id = array();
			
			$query = "SELECT * FROM {$table_prefix}wptt_advertisements_keywords_profiles ";
			$result = mysql_query($query);
			if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
			
			$keywords_profile_id = array();
			while ($arr = mysql_fetch_array($result))
			{
				$keywords_profile_id[] = $arr['id'];
				$keywords_keywords[] = $arr['keywords'];
				$keywords_content_profile_id[] = $arr['content_profile_id'];
				$keywords_search_content[] = $arr['search_content'];
				$keywords_search_referral[] = $arr['search_referral'];
				$keywords_placement[] = $arr['placement'];
				$keywords_status[] = $arr['status'];
			}
			
			
			//retrieve new batch
			$profile_id = $_POST['advertisements_keywords_profile_id'];
			$content_profile_id = $_POST['advertisements_keywords_content_profile_id'];
			$keywords = $_POST['advertisements_keywords_keywords'];
			$placement = $_POST['advertisements_keywords_placement'];
			$search_content = $_POST['advertisements_keywords_search_content'];
			$search_referral = $_POST['advertisements_keywords_search_referral'];
			$status = $_POST['advertisements_keywords_status'];
			
			//print_r($content_profile_id); exit;
			//delete from database what is no longer 
			foreach ($keywords_profile_id as $k=>$v)
			{
				if ($profile_id)
				{
					if (!in_array($v, $profile_id))
					{
						$query = "DELETE FROM {$table_prefix}wptt_advertisements_keywords_profiles WHERE id='$v'";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
				}
			}
			
			
			//insert new items and update old items
			foreach ($profile_id as $k=>$v)
			{
				if ($search_content[$k]=='on')
				{
					$search_content[$k] = 1;
				}
				else
				{
					$search_content[$k] = 0;
				}
				
				if ($search_referral[$k]=='on')
				{
					$search_referral[$k] = 1;
				}
				else
				{
					$search_referral[$k] = 0;
				}
				
				if ($profile_id[$k]=='x'&&$keywords[$k])
				{
					//echo 1; exit;
					$query = "INSERT INTO {$table_prefix}wptt_advertisements_keywords_profiles (`content_profile_id`,`keywords`,`placement`,`search_content`,`search_referral`,`status`,`drop_count`) VALUES ('$content_profile_id[$k]','$keywords[$k]','$placement[$k]','$search_content[$k]','$search_referral[$k]','$status[$k]','0')";
					$result = mysql_query($query);
					if (!$result) { echo $query; echo mysql_error(); }
				}
				else
				{
					//echo 2; exit;
					$query = "UPDATE {$table_prefix}wptt_advertisements_keywords_profiles SET content_profile_id='$content_profile_id[$k]', keywords='$keywords[$k]', placement='$placement[$k]', search_content='$search_content[$k]', search_referral='$search_referral[$k]', status='$status[$k]'  WHERE id='$profile_id[$k]'";
					$result = mysql_query($query);
					if (!$result) { echo $query; echo mysql_error(); }
				}
			}	
		}
		
		if ($_POST['advertisements_category_form_nature']=='save_profile')
		{
			//echo 1;
			//get all current profiles
			$category_profile_id = array();
			
			$query = "SELECT * FROM {$table_prefix}wptt_advertisements_category_profiles ";
			$result = mysql_query($query);
			if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
			

			while ($arr = mysql_fetch_array($result))
			{
				$category_profile_id[] = $arr['id'];
				$category_category_id[] = $arr['category_id'];
				$category_content_profile_id[] = $arr['content_profile_id'];
				$category_placement[] = $arr['placement'];
				$category_status[] = $arr['status'];
			}
			
			
			//retrieve new batch
			$profile_id = $_POST['advertisements_category_profile_id'];
			$category_id = $_POST['advertisements_category_category_id'];			
			$content_profile_id = $_POST['advertisements_category_content_profile_id'];			
			$placement = $_POST['advertisements_category_placement'];
			$status = $_POST['advertisements_category_status'];
			
			//print_r($content_profile_id); exit;
			//delete from database what is no longer 
			foreach ($category_profile_id as $k=>$v)
			{
				if ($profile_id)
				{
					if (!in_array($v, $profile_id))
					{
						$query = "DELETE FROM {$table_prefix}wptt_advertisements_category_profiles WHERE id='$v'";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
				}
				else
				{
					$query = "TRUNCATE {$table_prefix}wptt_advertisements_category_profiles ";
					$result = mysql_query($query);
					if (!$result) { echo $query; echo mysql_error(); }
				}
			}
			
			if ($profile_id)
			{
				//insert new items and update old items

				foreach ($profile_id as $k=>$v)
				{				
					if ($profile_id[$k]=='x')
					{
						//echo 1; exit;
						$query = "INSERT INTO {$table_prefix}wptt_advertisements_category_profiles (`content_profile_id`,`category_id`,`placement`,`status`,`drop_count`) VALUES ('$content_profile_id[$k]','$category_id[$k]','$placement[$k]','$status[$k]','0')";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
					else
					{
						//echo 2; exit;
						$query = "UPDATE {$table_prefix}wptt_advertisements_category_profiles SET content_profile_id='$content_profile_id[$k]', category_id='$category_id[$k]',  placement='$placement[$k]', status='$status[$k]'  WHERE id='$profile_id[$k]'";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
				}	
			}
		}
		
		if ($_POST['advertisements_google_form_nature']=='save_profile')
		{
			//echo 1;
			//get all current profiles
			$google_profile_id = array();
			
			$query = "SELECT * FROM {$table_prefix}wptt_advertisements_google_profiles ";
			$result = mysql_query($query);
			if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
			

			while ($arr = mysql_fetch_array($result))
			{
				$google_profile_id[] = $arr['id'];
				$google_content_profile_id[] = $arr['content_profile_id'];
				$google_placement[] = $arr['placement'];
				$google_status[] = $arr['status'];
			}
			
			
			//retrieve new batch
			$profile_id = $_POST['advertisements_google_profile_id'];
			$content_profile_id = $_POST['advertisements_google_content_profile_id'];			
			$placement = $_POST['advertisements_google_placement'];
			$status = $_POST['advertisements_google_status'];
			
			//print_r($content_profile_id); exit;
			//delete from database what is no longer 
			foreach ($google_profile_id as $k=>$v)
			{
				if ($profile_id)
				{
					if (!in_array($v, $profile_id))
					{
						$query = "DELETE FROM {$table_prefix}wptt_advertisements_google_profiles WHERE id='$v'";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
				}
				else
				{
					$query = "TRUNCATE {$table_prefix}wptt_advertisements_google_profiles ";
					$result = mysql_query($query);
					if (!$result) { echo $query; echo mysql_error(); }
				}
			}
			
			if ($profile_id)
			{
				//insert new items and update old items
				foreach ($profile_id as $k=>$v)
				{				
					if ($profile_id[$k]=='x')
					{
						//echo 1; exit;
						$query = "INSERT INTO {$table_prefix}wptt_advertisements_google_profiles (`content_profile_id`,`placement`,`status`,`drop_count`) VALUES ('$content_profile_id[$k]','$placement[$k]','$status[$k]','0')";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
					else
					{
						//echo 2; exit;
						$query = "UPDATE {$table_prefix}wptt_advertisements_google_profiles SET content_profile_id='$content_profile_id[$k]', placement='$placement[$k]', status='$status[$k]'  WHERE id='$profile_id[$k]'";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
				}	
			}
		}
		
		
		if ($_POST['advertisements_post_form_nature']=='save_profile')
		{
			//echo 1;
			//get all current profiles
			$post_profile_id = array();
			
			$query = "SELECT * FROM {$table_prefix}wptt_advertisements_post_profiles ";
			$result = mysql_query($query);
			if (!$result) {echo 11; echo $query;  echo mysql_error(); exit;}
			
			$post_profile_id = array();
			while ($arr = mysql_fetch_array($result))
			{
				$post_profile_id[] = $arr['id'];
				$post_post_id[] = $arr['post_id'];
				$post_content_profile_id[] = $arr['content_profile_id'];
				//$keywords_status[] = $arr['status'];
			}
			
			
			//retrieve new batch
			$profile_id = $_POST['advertisements_post_profile_id'];
			$post_id = $_POST['advertisements_post_post_id'];
			$content_profile_id = $_POST['advertisements_post_content_profile_id'];
			$placement = $_POST['advertisements_post_placement'];
			
			//print_r($post_id); exit;
			//delete from database what is no longer 
			foreach ($post_profile_id as $k=>$v)
			{
				if (!in_array($profile_id[$k], $post_profile_id))
				{
					$query = "DELETE FROM {$table_prefix}wptt_advertisements_post_profiles WHERE id='$v'";
					$result = mysql_query($query);
					if (!$result) { echo $query; echo mysql_error(); }
				}
			}
			
			
			//insert new items and update old items
			if ($post_id)
			{
				foreach ($post_id as $k=>$v)
				{
					if ($profile_id[$k]=='x'&&$post_id[$k])
					{
						//echo 1; exit;
						$query = "INSERT INTO {$table_prefix}wptt_advertisements_post_profiles (`id`,`post_id`,`content_profile_id`,`placement`) VALUES ('','$post_id[$k]','$content_profile_id[$k]','$placement[$k]')";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo 1; echo mysql_error(); }
					}
					else
					{
						//echo $profile_id[$k]; exit;
						$query = "UPDATE {$table_prefix}wptt_advertisements_post_profiles SET content_profile_id='$content_profile_id[$k]', post_id='$post_id[$k]', placement='$placement[$k]' WHERE id='$profile_id[$k]'";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error(); }
					}
				}	
			}
		}
	}
	
	function advertisements_options_page()
	{
		echo '<div class="wrap">';
		/* Show the existing options */
		advertisements_settings();
		echo "</div>";

	}
	
    
	function advertisements_save_post($postID)
	{
		if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) 
		{
		
		}
		else
		{
			if ($_GET['action']=='save')
			{
				global $table_prefix;

				$advertisements_post_profile_id = $_POST['advertisements_post_profile_id'];
				$advertisements_post_post_id = $_POST['advertisements_post_post_id'];
				$advertisements_post_content_profile_id = $_POST['advertisements_post_content_profile_id'];
				$advertisements_post_content_placement = $_POST['advertisements_post_content_placement'];
				
				
				if ($advertisements_post_content_profile_id!='x')
				{
					$query = "SELECT * FROM {$table_prefix}wptt_advertisements_post_profiles WHERE post_id='{$advertisements_post_id}'";
					$result = mysql_query($query);
					if (!$result) { echo $query; echo mysql_error(); exit;}
					
					if (mysql_num_rows($result)>0)
					{
						$query = "UPDATE {$table_prefix}wptt_advertisements_post_profiles SET post_id='{$advertisements_post_post_id}', content_profile_id ='{$advertisements_post_content_profile_id}',  placement ='{$advertisements_post_content_placement}' WHERE post_id='{$advertisements_post_post_id}'";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error();  exit;}
					}
					else
					{
						$query = "INSERT INTO {$table_prefix}wptt_advertisements_post_profiles (`id`,`post_id`,`content_profile_id`,`placement`) VALUES ('','$advertisements_post_post_id','$advertisements_post_content_profile_id','$advertisements_post_content_placement')";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo 2;echo mysql_error();  exit;}
					}
				}
				else
				{
					$query = "SELECT * FROM {$table_prefix}wptt_advertisements_post_profiles WHERE id='{$advertisements_post_profile_id}'";
					$result = mysql_query($query);
					if (!$result) { echo $query; echo mysql_error(); exit;}
					
					if (mysql_num_rows($result)>0&&$advertisements_post_content_profile_id=='x')
					{
						$query = "DELETE FROM {$table_prefix}wptt_advertisements_post_profiles WHERE id='$advertisements_post_profile_id'";
						$result = mysql_query($query);
						if (!$result) { echo $query; echo mysql_error();  exit;}
					}
				}
			}
		}
		return $postID;
	}
	
	function advertisements_replace_tokens($ad_content, $v)
	{
		
		if (strpos($ad_content,'%keyword_query%'))
		{
			$ad_content = str_replace('%keyword_query%', $v, $ad_content);
		}
		
		if (strpos($ad_content,'%keyword_title_filtered%'))
		{
			$this_keyword = wpt_title_as_keyword();
			$ad_content = str_replace('%keyword_title_filtered%', $this_keyword, $ad_content);
		}
		
		if (strpos($ad_content,'%keyword_auto_discover%'))
		{
			if (!$v)
			{
				$this_keyword = wpt_title_as_keyword();
			}
			else
			{
				$this_keyword = $v;
			}
			$ad_content = str_replace('%keyword_title_filtered%', $this_keyword, $ad_content);
		}
		
		if (strpos($ad_content,'%keyword_autodiscover-')&&$i<20)
		{
			if (!$v)
			{
				$this_keyword = wpt_title_as_keyword();
			}
			else
			{
				$this_keyword = $v;
			}
			
			preg_match_all('/%keyword_query-(.*?)%/si',$ad_content, $match);
			$exclude_words = explode(',',$match[1][0]);
			
			$keys = array_keys($exclude_words);
			$size = sizeOf($keys);
			for ($k=0; $k<$size; $k++)
			{
				$this_keyword = str_replace($exclude_words[$k],'',$this_keyword);
			}
			$ad_content = preg_replace('/%keyword_query-(.*?)%/si', $this_keyword, $ad_content,-1);
			$i++;
		}
		
		if (strpos($ad_content,'%keyword_random_tag%'))
		{
			$this_keyword = wpt_tag_as_keyword(1);
			$ad_content = str_replace('%keyword_title_filtered%', $this_keyword, $ad_content);
		}
		
		if (strpos($ad_content,'%keyword_query-')&&$i<20)
		{
			preg_match_all('/%keyword_query-(.*?)%/si',$ad_content, $match);
			$exclude_words = explode(',',$match[1][0]);
			
			$keys = array_keys($exclude_words);
			$size = sizeOf($keys);
			for ($k=0; $k<$size; $k++)
			{
				$v = str_replace($exclude_words[$k],'',$v);
			}
			$ad_content = preg_replace('/%keyword_query-(.*?)%/si', $v, $ad_content,-1);
			$i++;
		}
		

		if (strpos($ad_content,'%keyword_title-')&&$i<20)
		{
			preg_match_all('/%keyword_title-(.*?)%/si',$ad_content, $match);
			$exclude_words = explode(',',$match[1][0]);
			
			$this_keyword = wpt_title_as_keyword();
			
			$keys = array_keys($exclude_words);
			$size = sizeOf($keys);
			for ($k=0; $k<$size; $k++)
			{
				$this_keyword = str_replace($exclude_words[$k],'',$this_keyword);
			}
			$ad_content = preg_replace('/%keyword_query-(.*?)%/si', $this_keyword, $ad_content,-1);
			$i++;
		}
		
		if (strstr($ad_content,"[spyntax]"))
		{
			//echo 1;
			$ad_content = str_replace(array('[spyntax]','[/spyntax]'),'', $ad_content);
			$ad_content = wpt_spyntax($ad_content);
		}
		//echo 2;
		
		return $ad_content;
	}
	
	function advertisements_add_post_content($content) 
	{
		global $post;
		global $table_prefix;

		$pid = $post->ID; 
		$title = $post->post_title; 
		
		$referral= $_SERVER['HTTP_REFERER'];
		$referral= str_replace("+",' ',$referral);
		$referral= str_replace("-",' ',$referral);
		$referral = str_replace('%20', ' ', $referral);
		
		
		if (is_single()==1||is_page()==1)
		{
			//check this post id for a advertisement profile
			$query= "SELECT * FROM {$table_prefix}wptt_advertisements_post_profiles WHERE post_id = '{$pid}' LIMIT 1";
			$result = mysql_query($query);
			if (!$result){echo $query; echo mysql_error(); exit;}
			$count = mysql_num_rows($result);
			
			if ($count>0)
			{
				$query = preg_match_all('/q=(.*?)&/', $referral,$matches);
				$google_query = $matches[1][0];
				
				$arr = mysql_fetch_array($result);
				$profile_id = $arr['id'];
				$content_profile_id = $arr['content_profile_id'];
				$placement = $arr['placement'];
				
				$query= "UPDATE {$table_prefix}wptt_advertisements_post_profiles SET drop_count = (drop_count+1) WHERE id='{$profile_id}'";
				$result = mysql_query($query);
				if (!$result){echo $query; echo mysql_error(); exit;}
				
				$query= "SELECT * FROM {$table_prefix}wptt_advertisements_content_profiles WHERE id = '{$content_profile_id}' ";
				$result = mysql_query($query);
				if (!$result){echo $query; echo mysql_error(); exit;}
				
				$arr = mysql_fetch_array($result);
				$ad_content = stripslashes($arr['content']);
				$ad_content = advertisements_replace_tokens($ad_content,  $google_query );
				
				if ($placement=='above'&&!$exit)
				{
					$content = $ad_content.$content;
					$exit = 1;
				}
				if ($placement=='middle'&&!$exit)
				{
					$count = strlen($content);
					$half =  $count/2;
					$left = substr($content, 0, $half);
					$right = substr($content, $half);
					$right = explode('. ',$right);
					$right[1] = $ad_content.$right[1];
					$right = implode('. ',$right);
					$content =  $left.$right;
					$exit = 1;
				}
				if ($placement=='below'&&!$exit)
				{
					$content = $content.$ad_content;
				}
				
			}
			
			
			//now check if google
			if (strstr($referral,'google.com'))
			{
				$query = preg_match_all('/q=(.*?)&/', $referral,$matches);
				$google_query = $matches[1][0];
				
				//echo $google_query;exit;
				if ($google_query)
				{
					if ($pid)
					{
						//check this post id for a advertisement profile
						$this_google_query = urldecode(addslashes($google_query));
						$this_url = get_permalink( $pid );
						$query= "INSERT INTO {$table_prefix}wptt_wptraffictools_google (`post_id`,`permalink`,`keyword`,`count`) VALUES ('{$pid}','{$this_permalink}','{$this_google_query}','1')  on duplicate key update count=count+1 , permalink='$this_permalink'";
						$result = mysql_query($query);
						if (!$result){echo $query; echo mysql_error(); exit;}
					}
					
					//check this post id for a advertisement profile
					$query= "SELECT * FROM {$table_prefix}wptt_advertisements_google_profiles WHERE status>0";
					$result = mysql_query($query);
					if (!$result){echo $query; echo mysql_error(); exit;}
					$count = mysql_num_rows($result);
				
					if ($count>0)
					{

						while($arr = mysql_fetch_array($result))
						{
							//print_r($arr);exit;
							$profile_id = $arr['id'];
							$content_profile_id = $arr['content_profile_id'];
							$_SESSION['ad_content_profile'] = $content_profile_id;
							$placement = $arr['placement'];
							$status = $arr['status'];
							
						
							//echo 'yay'; 
							$query2= "UPDATE {$table_prefix}wptt_advertisements_google_profiles SET drop_count = (drop_count+1) WHERE id='{$profile_id}'";
							$result2 = mysql_query($query2);
							if (!$result2){echo $query2; echo mysql_error(); exit;}
									
							$query2 = "SELECT * FROM {$table_prefix}wptt_advertisements_content_profiles WHERE id = '{$content_profile_id}' ";
							$result2 = mysql_query($query2);
							if (!$result){echo $query2; echo mysql_error(); exit;}
									
							$array = mysql_fetch_array($result2);
							$ad_content = stripslashes($array['content']);
											
							$ad_content = advertisements_replace_tokens($ad_content, $google_query);
							
							//echo $ad_content; exit;
							
							if ($status==2)
							{
								$ad_content = "<!--cached ad-->$ad_content<!--cached ad-->";
								if (strpos($content, "<!--cached ad-->", 1))
								{
									$content = preg_replace('/\<!--cached ad--\>(.*?)\<!--cached ad--\>/si','',$content);
								}
								
							}
							else if ($placement=='above'&&!$exit)
							{
								$content = $ad_content.$content;
								if ($status==2)
								{
									$this_content = addslashes($content);
									$query2= "UPDATE {$table_prefix}posts SET post_content = '$this_content' WHERE id='{$pid}'";
									$result2 = mysql_query($query2);
									if (!$result2){echo $query2; echo mysql_error(); exit;}
								}
								$exit = 1;
							}
							else if ($placement=='middle'&&!$exit)
							{
								$count = strlen($content);
								$half =  $count/2;
								$left = substr($content, 0, $half);
								$right = substr($content, $half);
								$right = explode('. ',$right);
								$right[1] = $ad_content.$right[1];
								$right = implode('. ',$right);
								$content =  $left.$right;
								if ($status==2)
								{
									$this_content = addslashes($content);
									$query2= "UPDATE {$table_prefix}posts SET post_content = '$this_content' WHERE id='{$pid}'";
									$result2 = mysql_query($query2);
									if (!$result2){echo $query2; echo mysql_error(); exit;}
								}
								$exit = 1;
							}
							else if ($placement=='below'&&!$exit)
							{
								$content = $content.$ad_content;
								if ($status==2)
								{
									$this_content = addslashes($content);
									$query2= "UPDATE {$table_prefix}posts SET post_content = '$this_content' WHERE id='{$pid}'";
									$result2 = mysql_query($query2);
									if (!$result2){echo $query2; echo mysql_error(); exit;}
								}
								$exit = 1;
							}
							else 
							{
								$_SESSION['wpt_ad_content'] = $ad_content;
								$_SESSION['wpt_ad_content'] = str_replace('"',"'",$_SESSION['wpt_ad_content'] );
								$_SESSION['wpt_ad_content'] = str_replace(array("\r", "\r\n", "\n"), ' ', $_SESSION['wpt_ad_content']);
							}
						}						
					}			
				}
			}
			
			
			if ($exit!=1)
			{
				$cat_id = get_the_category();
				//print_r($cat_id);
				$cat_id = $cat_id[0]->cat_ID;
				//echo $cat_id;exit;
				//check this post id for a advertisement profile
				$query= "SELECT * FROM {$table_prefix}wptt_advertisements_category_profiles WHERE category_id='$cat_id' AND status>0";
				$result = mysql_query($query);
				if (!$result){echo $query; echo mysql_error(); exit;}
				
				while ($arr=mysql_fetch_array($result))
				{
					//print_r($arr);exit;
					$profile_id = $arr['id'];
					$content_profile_id = $arr['content_profile_id'];
					$placement = $arr['placement'];
					$status = $arr['status'];
							
						
					//echo 'yay'; 
					$query2= "UPDATE {$table_prefix}wptt_advertisements_category_profiles SET drop_count = (drop_count+1) WHERE id='{$profile_id}'";
					$result2 = mysql_query($query2);
					if (!$result2){echo $query2; echo mysql_error(); exit;}
									
					$query2 = "SELECT * FROM {$table_prefix}wptt_advertisements_content_profiles WHERE id = '{$content_profile_id}' ";
					$result2 = mysql_query($query2);
					if (!$result){echo $query2; echo mysql_error(); exit;}
									
					$array = mysql_fetch_array($result2);
					$ad_content = stripslashes($array['content']);
									
					$ad_content = advertisements_replace_tokens($ad_content, $google_query);
							
					//echo $ad_content; exit;
					
					
					if ($placement=='above')
					{
						$content = $ad_content.$content;
						$exit = 1;
						
					}
					else if ($placement=='middle')
					{
						$count = strlen($content);
						$half =  $count/2;
						$left = substr($content, 0, $half);
						$right = substr($content, $half);
						$right = explode('. ',$right);
						$right[1] = $ad_content.$right[1];
						$right = implode('. ',$right);
						$content =  $left.$right;
						$exit = 1;
						
					}
					else if ($placement=='below') 
					{
						$content = $content.$ad_content;
					}
					else 
					{
						$_SESSION['wpt_ad_content'] = $ad_content;
						$_SESSION['wpt_ad_content'] = str_replace('"',"'",$_SESSION['wpt_ad_content'] );
						$_SESSION['wpt_ad_content'] = str_replace(array("\r", "\r\n", "\n"), ' ', $_SESSION['wpt_ad_content']);
						//echo 1;exit;
					}
				}
			}
			
			//now check content for keyword recognition:
			//check this post id for a advertisement profile
			$query= "SELECT * FROM {$table_prefix}wptt_advertisements_keywords_profiles WHERE status='1'";
			$result = mysql_query($query);
			if (!$result){echo $query; echo mysql_error(); exit;}
			$count = mysql_num_rows($result);
			
			if ($count>0)
			{

				while(($arr = mysql_fetch_array($result))&&$exit==0)
				{
					//print_r($arr);exit;
					$profile_id = $arr['id'];
					$content_profile_id = $arr['content_profile_id'];
					$placement = $arr['placement'];
					$search_content = $arr['search_content'];
					$search_referral = $arr['search_referral'];
					$these_keywords = $arr['keywords'];
					$these_keywords = explode(',',$these_keywords);
					
					$keys = array_keys($these_keywords);
					$size = sizeOf($keys);
					for ($k=0; $k<$size; $k++)
					{
						if ($search_content==1&&!$exit)
						{
							if ((stristr($content, $these_keywords[$k])||stristr($title, $these_keywords[$k]))&&!$exit)
							{
								//echo 'yay'; 
								$query2= "UPDATE {$table_prefix}wptt_advertisements_keywords_profiles SET drop_count = (drop_count+1) WHERE id='{$profile_id}'";
								$result2 = mysql_query($query2);
								if (!$result2){echo $query2; echo mysql_error(); exit;}
								
								$query2 = "SELECT * FROM {$table_prefix}wptt_advertisements_content_profiles WHERE id = '{$content_profile_id}' ";
								$result2 = mysql_query($query2);
								if (!$result){echo $query2; echo mysql_error(); exit;}
								
								$array = mysql_fetch_array($result2);
								$ad_content = stripslashes($array['content']);
								
								$ad_content = advertisements_replace_tokens($ad_content,  $these_keywords[$k]);
								
								if ($placement=='above')
								{
									$content = $ad_content.$content;
									$exit=1;
								}
								else if ($placement=='middle')
								{
									$count = strlen($content);
									$half =  $count/2;
									$left = substr($content, 0, $half);
									$right = substr($content, $half);
									$right = explode('. ',$right);
									$right[1] = $ad_content.$right[1];
									$right = implode('. ',$right);
									$content =  $left.$right;
									$exit=1;
								}
								else if ($placement=='below')
								{
									$content = $content.$ad_content;
									$exit=1;
								}
								else 
								{
									$_SESSION['wpt_ad_content'] = $ad_content;
									$_SESSION['wpt_ad_content'] = str_replace('"',"'",$_SESSION['wpt_ad_content'] );
									$_SESSION['wpt_ad_content'] = str_replace(array("\r", "\r\n", "\n"), ' ', $_SESSION['wpt_ad_content']);
									//echo $_SESSION['wpt_ad_content'];exit;
								}
								
							}
						}
						
						if ($search_referral==1&&!$exit)
						{

							if (stristr($referral, $these_keywords[$k])&&!$exit)
							{
								//echo 2;exit;
								$query2= "UPDATE {$table_prefix}wptt_advertisements_keywords_profiles SET drop_count = (drop_count+1) WHERE id='{$profile_id}'";
								$result2 = mysql_query($query2);
								if (!$result2){echo $query2; echo mysql_error(); exit;}
								
								$query2 = "SELECT * FROM {$table_prefix}wptt_advertisements_content_profiles WHERE id = '{$content_profile_id}' ";
								$result2 = mysql_query($query2);
								if (!$result2){echo $query2; echo mysql_error(); exit;}
								
								$array = mysql_fetch_array($result2);
								$ad_content = stripslashes($array['content']);
								
								$ad_content = advertisements_replace_tokens($ad_content,  $these_keywords[$k]);
								
								if ($placement=='above')
								{
									$content = $ad_content.$content;
									$exit=1;
								}
								else if ($placement=='middle')
								{
									$count = strlen($content);
									$half =  $count/2;
									$left = substr($content, 0, $half);
									$right = substr($content, $half);
									$right = explode('. ',$right);
									$right[1] = $ad_content.$right[1];
									$right = implode('. ',$right);
									$content =  $left.$right;
									$exit=1;
								}
								else if ($placement=='below')
								{
									$content = $content.$ad_content;
									$exit=1;
								}
								else 
								{
									$_SESSION['wpt_ad_content'] = $ad_content;
									$_SESSION['wpt_ad_content'] = str_replace('"',"'",$_SESSION['wpt_ad_content'] );
									$_SESSION['wpt_ad_content'] = str_replace(array("\r", "\r\n", "\n"), ' ', $_SESSION['wpt_ad_content']);
								}
								
							}
						}
					}
				}			
			}
			
			
			
			
			
		}
		else
		{
			//check this post id for a advertisement profile
			$query= "SELECT * FROM {$table_prefix}wptt_advertisements_post_profiles WHERE post_id = 'h' LIMIT 1";
			$result = mysql_query($query);
			if (!$result){echo $query; echo mysql_error(); exit;}
			$count = mysql_num_rows($result);
			
			if ($count>0)
			{
				$arr = mysql_fetch_array($result);
				$profile_id = $arr['id'];
				$content_profile_id = $arr['content_profile_id'];
				$placement = $arr['placement'];
				
				$query= "UPDATE {$table_prefix}wptt_advertisements_post_profiles SET drop_count = (drop_count+1) WHERE id='{$profile_id}'";
				$result = mysql_query($query);
				if (!$result){echo $query; echo mysql_error(); exit;}
				
				$query= "SELECT * FROM {$table_prefix}wptt_advertisements_content_profiles WHERE id = '{$content_profile_id}' ";
				$result = mysql_query($query);
				if (!$result){echo $query; echo mysql_error(); exit;}
				
				$arr = mysql_fetch_array($result);
				$ad_content = stripslashes($arr['content']);
				
				if ($placement=='above')
				{
					$content = $ad_content.$content;
					$exit = 1;
				}
				else if ($placement=='middle')
				{
					$count = strlen($content);
					$half =  $count/2;
					$left = substr($content, 0, $half);
					$right = substr($content, $half);
					$right = explode('. ',$right);
					$right[1] = $ad_content.$right[1];
					$right = implode('. ',$right);
					$content =  $left.$right;
					$exit = 1;
				}
				else if ($placement=='below')
				{
					$content = $content.$ad_content;
					$exit = 1;
				}
				else 
				{
					$_SESSION['wpt_ad_content'] = $ad_content;
					$_SESSION['wpt_ad_content'] = str_replace('"',"'",$_SESSION['wpt_ad_content'] );
					$_SESSION['wpt_ad_content'] = str_replace(array("\r", "\r\n", "\n"), ' ', $_SESSION['wpt_ad_content']);
					//echo 1;exit;
				}
			}
		}
		return $content;
	}
	
	function advertisments_add_jquery() 
	{
		?>
		<script type='text/javascript'>
		jQuery(document).ready(function() 
		{
			var html = "<?php echo $_SESSION['wpt_ad_content']; ?>";
			jQuery('#id_wpt_adblock').html(html);
		});
		</script>
		<?php
	}

	/*
	//on activation
	register_activation_hook(__FILE__, 'advertisements_activate');
	add_action('admin_menu', 'advertisements_add_menu');
	*/
	add_action('save_post','advertisements_save_post');
	add_filter('the_content', 'advertisements_add_post_content', 0);
	add_action('get_footer', 'advertisments_add_jquery');
	
?>