<?php
/*
Plugin Name: WP Traffic Tools
Plugin URI: http://www.wptraffictools.com
Description: Link Masking, Click Tracking, Keyword Linking, Conditional Redirection, Conditional Ad Placement
Version: 3.8.8.3
Author: Hudson Atwell
Author URI: http://www.hatnohat.com/
*/

define('WPTRAFFICTOOLS_URLPATH', WP_PLUGIN_URL.'/'.plugin_basename( dirname(__FILE__) ).'/' );
define('WPT_CURRENT_VERSION', '3.8.8.3' );

/* Retrieve the global settings */ 
$query = "SELECT `option_value` FROM {$table_prefix}wptt_wptraffictools_options  ORDER BY id ASC";
$result = mysql_query($query);

if ($result)
{
	while ($array = mysql_fetch_array($result))
	{
	  $results[] = $array['option_value'];
	}

	$useragents = $results[0];
	$ip_addresses =$results[1];
	$global_cloak_links = $results[2];
	$global_redirect_spiders = $results[3];
	$global_nofollow_links = $results[4];
	$license_key = $results[5];
	$license_email = $results[6];
	$current_version = $results[7];
	$global_cloak_link_profiles = $results[8];
	$global_default_classificatin_prefix = $results[9];
	$global_keyword_affects = $results[10];
	$global_cloak_comments = $results[11];
	$global_cloak_commenter_url = $results[12];
	$global_topsearches = $results[13];
	$global_topsearches_nature = $results[14];
	$global_topsearches_header= $results[15];
	$global_topsearches_sort= $results[16];
	$global_topsearches_limit = $results[17];
	$global_topsearches_link = $results[18];
	$global_topsearches_display_count = $results[19];
	$global_cloak_links_pages = $results[20];
}

$wordpress_url = get_bloginfo('url');
if (substr($wordpress_url, -1, -1)!='/')
{
	$wordpress_url = $wordpress_url."/";
}
$current_url = "http://".$_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]."";

include_once('wp-cloakme.php');
include_once('wp-redirect-controller.php');
include_once('wp-cookie-profiles.php');
include_once('wp-global-settings.php');
include_once('wp-advertisement-profiles.php');

register_activation_hook(__FILE__, 'cloakme_activate');
register_activation_hook(__FILE__, 'redirect_activate');
register_activation_hook(__FILE__, 'cookie_activate');
register_activation_hook(__FILE__, 'traffic_tools_activate');
register_activation_hook(__FILE__, 'advertisements_activate');

#########################################################

# these are core functions to get values from wordpress
# for the title, meta keywords, tags, or from search
# engine queries (referer).
#########################################################
function wpt_title_as_keyword() 
{
    $keywords = the_title("", "", false);
	$string= strtolower($keywords);
	$array = explode(' ' , $string);
	$trash ="-,:,released,world,can,get,?,longer,stock,met,seen,content,can't,plus,got,go,no,review,added,new,we,all,check,our,be,hire,night,file,incredible,list,mostly,finally,detail,|,of,add,minus,subtract,table,about,above,acid,across,actually,after,again,against,almost,already,also,alter,although,always,among,angry,another,anyway,appropriate,around,automatic,available,awake,aware,away,back,basic,beautiful,because,been,before,being,bent,better,between,bitter,black,blue,boiling,both,bright,broken,brown,came,cause,central,certain,certainly,cheap,chemical,chief,clean,clear,clearly,close,cold,come,common,complete,complex,concerned,conscious,could,cruel,current,dark,dead,dear,deep,delicate,dependent,different,difficult,dirty,down,each,early,east,easy,economic,either,elastic,electric,else,enough,equal,especially,even,ever,every,exactly,feeble,female,fertile,final,finalty,financial,fine,first,fixed,flat,following,foolish,foreign,form,former,forward,free,frequent,from,full,further,future,general,generality,give,good,great,green,grey/gray,half,hanging,happy,hard,have,healthy,heavy,help,here,high,himself,hollow,home,however,human,important,indeed,individual,industrial,instead,international,into,just,keep,kind,labor,large,last,late,later,least,left,legal,less,like,likely,line,little,living,local,long,loose,loud,main,major,make,male,many,married,material,maybe,mean,medical,might,military,mixed,modern,more,most,much,must,name,narrow,national,natural,near,nearly,necessary,never,next,nice,normal,north,obviously,often,okay,once,only,open,opposite,original,other,over,parallel,particular,particularly,past,perhaps,personal,physical,please,political,poor,popular,possible,present,previous,prime,private,probable,probably,professional,public,quick,quickly,quiet,quite,rather,ready,real,really,recent,recently,regular,responsible,right,rough,round,royal,safe,said,same,second,secret,seem,send,separate,serious,several,shall,sharp,short,should,shut,significant,similar,simple,simply,since,single,slow,small,smooth,social,soft,solid,some,sometimes,soon,sorry,south,special,specific,sticky,stiff,still,straight,strange,strong,successful,such,sudden,suddenly,sure,sweet,take,tall,than,that,their,them,then,there,therefore,these,they,thick,thin,think,this,those,though,through,thus,tight,till,tired,today,together,tomorrow,total,turn,under,unless,until,upon,used,useful,usually,various,very,violent,waiting,warm,well,were,west,what,whatever,when,where,whether,which,while,white,whole,whose,wide,will,wise,with,within,without,would,wrong,yeah,yellow,yesterday,young,your,anyone,builds,tried,after,before,when,while,since,until,although,though,even,while,if,unless,only,case,that,this,because,since,now,as,in,on,around,to,I,he,she,it,they,them,both,either,and,top,most,best,&,inside,for,their,from,one,two,three,four,five,six,seven,eight,nine,ten,1,2,3,4,5,6,7,8,9,0,user,inc,is,isn't,are,aren't,do,don't,does,anyone,really,too,over,under,into,the,a,an,my,mine,against,inbetween,me,~,*,was,you,with,your,will,win,by";
	$trash = explode(",", $trash);
	
	foreach	($array  as $key => $value)
	{
		if (strlen($value)<3)
		{
			unset($array[$key]);
		}
		else
		{			
			if (in_array($value, $trash))
			{
				unset($array[$key]);
			}
		}
	}
	$string = implode(' ', $array);
	$string = preg_replace('/\W/u', ' ', $string);
	return $string;
}


function wpt_tag_as_keyword($num="all") {
    $tags = get_the_tags();
    if ($tags) {
        $keywords = "";
        $x = 1;
        if (is_numeric($num)) {$num = intval($num);}
        foreach($tags as $tag) {

            $keywords .= $tag->name . " ";
            if ((is_numeric($num)) && ($x >= $num)) {break;}
            $x++;
        }
    }
    $keywords = trim($keywords);
    return $keywords;
}

function wpt_custom_field_keyword($num="all") {
    $data = get_post_custom_values("keywords");
    $keywords = $data[0];
    $words = explode(",", $keywords);

    if (!is_numeric($num)) {$num = count($words);}
    $num = intval($num);
    $keywords = "";
    for ($x = 0;$x <= $num;$x++) {
        $keywords .= $words[$x] . " ";
    }
    $keywords = trim($keywords);

    return $keywords;
}

function traffic_tools_activate()
{
	global $wpdb;
	
	$sql = "CREATE TABLE IF NOT EXISTS wpt_classification_prefixes (
					id INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
					option_name VARCHAR(255) NOT NULL,
					option_value TEXT NOT NULL,
					status INT(2) NOT NULL
					) {$charset_collate};";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO wpt_classification_prefixes (
			`id`,`option_name`,`option_value`,`status`)
			VALUES ('1','classification_prefix','go','1')";
		$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "CREATE TABLE IF NOT EXISTS {$wpdb->prefix}wptt_wptraffictools_options (
			id INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			option_name VARCHAR(225) NOT NULL,
			option_value TEXT NOT NULL,
			status INT(2) NOT NULL
			) {$charset_collate};";
		
	$result = $wpdb->get_results($sql, ARRAY_A);	
	
	$sql = "CREATE TABLE IF NOT EXISTS {$wpdb->prefix}wptt_wptraffictools_google (
			id INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			permalink VARCHAR(225) NOT NULL,
			post_id INT(15) NOT NULL,
			keyword VARCHAR(225) NOT NULL UNIQUE,
			count INT(20)
			) {$charset_collate};";
		
	$result = $wpdb->get_results($sql, ARRAY_A);	
	
	$sql = "CREATE TABLE IF NOT EXISTS {$wpdb->prefix}wptt_wptraffictools_cloaking (
			id INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			ref VARCHAR(225) NOT NULL,
			url VARCHAR(225) NOT NULL
			) {$charset_collate};";
		
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$default_useragents = "msie;firefox;safari;webkit;opera;netscape;konqueror;gecko;chrome;songbird;seamonkey;flock";
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
		`id`,`option_name`,`option_value`,`status`)
		VALUES ('1','useragents','$default_useragents','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
		`id`,`option_name`,`option_value`,`status`)
		VALUES ('2','ip_addresses','','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
		`id`,`option_name`,`option_value`,`status`)
		VALUES ('3','cloak_links','0','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
		`id`,`option_name`,`option_value`,`status`)
		VALUES ('4','redirect_spiders','0','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('5','nofollow_links','0','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('6','license_key','','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('7','license_email','','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('8','current_version','".WPT_CURRENT_VERSION."','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('9','cloak_link_profiles','1','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('10','default_classification_prefix','go','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('11','keyword_affects','1','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('12','cloak_comments','1','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('13','cloak_commenter_url','1','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('14','topsearches','0','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('16','topsearches_nature','single','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('17','topsearches_header','Top Searches','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('18','topsearches_sort','DESC','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('19','topsearches_limit','5','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('20','topsearches_link','0','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('21','topsearches_display_count','0','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	
	$sql = "INSERT  INTO {$wpdb->prefix}wptt_wptraffictools_options (
	`id`,`option_name`,`option_value`,`status`)
	VALUES ('22','cloak_links_pages','0','1')";
	$result = $wpdb->get_results($sql, ARRAY_A);
	

	//generate the new htaccess code
	$htaccess = "RewriteEngine On \n
RewriteRule ^(.*)spacer\.gif$ ".WPTRAFFICTOOLS_URLPATH."images/spacer.php [L]";
	//echo $htaccess;
	//fopen .htacess
	$targetFile = ABSPATH."wp-content/plugins/wp-traffic-tools/images/.htaccess"; 
	//echo $targetFile;exit;
	$handle1 = fopen($targetFile, "w");  	
	fwrite($handle1, $htaccess);
	fclose($handle1);
}

function traffic_tools_javascript()
{
	?>
		<script type="text/javascript">
			
			jQuery(document).ready(function() 
			{
				jQuery("#id_advertisements_accordion").accordion({
							autoHeight: false,
							collapsible: true,
							active: -1
				});
				
				jQuery('#id_menu_cloaking').click(function() {
					jQuery('#id_display_cloaking').css('display','inline-block');
					jQuery('#id_display_redirection').css('display','none');
					jQuery('#id_display_advertisements').css('display','none');
					jQuery('#id_display_cookies').css('display','none');
					jQuery('#id_display_global').css('display','none');
					
					jQuery('#id_li_cloaking').attr('class','current_page_item');
					jQuery('#id_li_redirection').attr('class','page_item');
					jQuery('#id_li_advertisements').attr('class','page_item');
					jQuery('#id_li_cookies').attr('class','page_item');
					jQuery('#id_li_global').attr('class','page_item');
				});
				
				jQuery('#id_menu_redirection').click(function() {
					jQuery('#id_display_cloaking').css('display','none');
					jQuery('#id_display_redirection').css('display','inline-block');
					jQuery('#id_display_advertisements').css('display','none');
					jQuery('#id_display_cookies').css('display','none');
					jQuery('#id_display_global').css('display','none');
					
					jQuery('#id_li_cloaking').attr('class','page_item');
					jQuery('#id_li_redirection').attr('class','current_page_item');
					jQuery('#id_li_advertisements').attr('class','page_item');
					jQuery('#id_li_cookies').attr('class','page_item');
					jQuery('#id_li_global').attr('class','page_item');
				});
				
				jQuery('#id_menu_cookies').click(function() {
					jQuery('#id_display_cloaking').css('display','none');
					jQuery('#id_display_redirection').css('display','none');
					jQuery('#id_display_advertisements').css('display','none');
					jQuery('#id_display_cookies').css('display','inline-block');
					jQuery('#id_display_global').css('display','none');
					
					jQuery('#id_li_cloaking').attr('class','page_item');
					jQuery('#id_li_redirection').attr('class','page_item');
					jQuery('#id_li_advertisements').attr('class','page_item');
					jQuery('#id_li_cookies').attr('class','current_page_item');
					jQuery('#id_li_global').attr('class','page_item');
					
				});
				
				jQuery('#id_menu_global').click(function() {
					jQuery('#id_display_cloaking').css('display','none');
					jQuery('#id_display_redirection').css('display','none');
					jQuery('#id_display_advertisements').css('display','none');
					jQuery('#id_display_cookies').css('display','none');
					jQuery('#id_display_global').css('display','inline-block');
					
					jQuery('#id_li_cloaking').attr('class','page_item');
					jQuery('#id_li_redirection').attr('class','page_item');
					jQuery('#id_li_advertisements').attr('class','page_item');
					jQuery('#id_li_cookies').attr('class','page_item');
					jQuery('#id_li_global').attr('class','current_page_item');
				});
				
				jQuery('#id_menu_advertisements').click(function() {
					jQuery('#id_display_cloaking').css('display','none');
					jQuery('#id_display_redirection').css('display','none');
					jQuery('#id_display_advertisements').css('display','inline-block');
					jQuery('#id_display_cookies').css('display','none');
					jQuery('#id_display_global').css('display','none');
					
					jQuery('#id_li_cloaking').attr('class','page_item');
					jQuery('#id_li_redirection').attr('class','page_item');
					jQuery('#id_li_advertisements').attr('class','current_page_item');
					jQuery('#id_li_cookies').attr('class','page_item');
					jQuery('#id_li_global').attr('class','page_item');
				});
				
				jQuery('#id_button_activate_wptraffictools').click(function() {
					jQuery("#id_form_activate_wptraffictools").submit();
				});
				
				jQuery('#id_button_update_wptraffictools').click(function() {
					if (confirm('Are you sure you want to update?'))
					{
						jQuery.get('./../wp-content/plugins/wp-traffic-tools/update.php', function(data) {
							if (data==1)
							{
								 location.reload();
							}
							else
							{
								alert('update failed! Uh oh.');
							}
						});	
					}
				});
				
				<?php
				IF ($_GET['tab_display']==1||!$_GET['tab_display'])
				{
				?>
					jQuery('#id_li_cloaking').attr('class','current_page_item');
				<?php
				}
				else if ($_GET['tab_display']==2)
				{
				//
				?>	
					jQuery('#id_li_redirection').attr('class','current_page_item');
					jQuery('#id_li_advertisements').attr('class','page_item');
					jQuery('#id_li_cloaking').attr('class','page_item');
				<?php
				}
				else if ($_GET['tab_display']==3)
				{
				?>
					jQuery('#id_li_cookies').attr('class','page_item');
					jQuery('#id_li_advertisements').attr('class','current_page_item');
					jQuery('#id_li_cloaking').attr('class','page_item');
				<?php
				}
				else if ($_GET['tab_display']==4)
				{
				?>
					jQuery('#id_li_cookies').attr('class','current_page_item');
					jQuery('#id_li_cloaking').attr('class','page_item');
					jQuery('#id_li_advertisements').attr('class','page_item');
				<?php
				}
				else
				{
				?>
					jQuery('#id_li_global').attr('class','current_page_item');
					jQuery('#id_li_cloaking').attr('class','page_item');
					jQuery('#id_li_cookies').attr('class','page_item');
					jQuery('#id_li_advertisements').attr('class','page_item');
				<?php
				}
				?>
				
			});
		</script>
	<?php
}




function traffic_update_files($new_version)
{
	global $table_prefix;
	global $wpdb;
	
	global $license_key;
	global $license_email;
	
	// hrose change link
	// $url = "http://www.wptraffictools.com/members/download.php?key=$licence_key";
	$url = "http://www.google.com";

	$temp_file = tempnam('/tmp','WPTRAFFICTOOLS');
	
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL,$url);
	curl_setopt($ch, CURLOPT_HEADER, false);
	curl_setopt($ch, CURLOPT_FAILONERROR, true);
	curl_setopt($ch, CURLOPT_AUTOREFERER, true);
	curl_setopt($ch, CURLOPT_BINARYTRANSFER,true);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
	$file = curl_exec($ch);
	curl_close($ch);
	
	$handle = fopen($temp_file, "w");
	fwrite($handle, $file);
	fclose($handle);
	
	$path = get_bloginfo( '' );
	$get = zip_extract($temp_file, "../wp-content/plugins/");
	
	unlink($temp_file);
	
	if ($get==1)
	{
		$sql = "UPDATE {$table_prefix}wptt_wptraffictools_options SET option_value='".WPT_CURRENT_VERSION."' WHERE option_name='current_version'";
		$result = $wpdb->get_results($sql, ARRAY_A);	
		
		include_once('update_sql.php');
		
		echo 1;
	}
	else
	{
		echo "update failed... sorry, we'll figure it out.";
	}
	
	
	
}


function traffic_tools_remote_connect($url)
{
	$method1 = ini_get('allow_url_fopen') ? "Enabled" : "Disabled";
	if ($method1 == 'Disabled')
	{
		//do curl
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, "$url");
		curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt ($ch, CURLOPT_FOLLOWLOCATION, 1);
		curl_setopt ($ch, CURLOPT_TIMEOUT, 60);
		$string = curl_exec($ch);
	}
	else
	{
		$string = file_get_contents($url);
	}
	
	return $string;
}

function traffic_tools_activation_check()
{
	global $table_prefix;
	
	if ($_POST['nature']=='activate_wptraffictools')
	{
		
		$license_key = $_POST['license_key'];
		$license_email = $_POST['license_email'];
		// hrose change link
		// $url = "http://www.hatnohat.com/api/wp-traffic-tools/validate.php?key=$license_key&email=$license_email";
		$url = "http://www.google.com";
		
		$string = traffic_tools_remote_connect($url);
		
		//echo $url;
		//echo $string; exit;
		if ($string==1)
		{
			$query = "UPDATE {$table_prefix}wptt_wptraffictools_options  SET option_value='$license_key' WHERE option_name='license_key'";
			$result = mysql_query($query);
			if (!$result){echo $query; echo mysql_error(); exit;}
			
			$query = "UPDATE {$table_prefix}wptt_wptraffictools_options  SET option_value='$license_email' WHERE option_name='license_email'";
			$result = mysql_query($query);
			if (!$result){echo $query; echo mysql_error(); exit;}
			
			echo "<center><br><br><font style='color:green;'>Congratulations! WP Traffic Tools is now registered.<br> </font>";
			echo "<center><a href='?page=wp-traffic-tools/wp-traffic-tools.php'>Go to Administration Panel.</a> </font>";
			exit;
			
		}
		// making similar conditions // hrose
		else
		{
			$query = "UPDATE {$table_prefix}wptt_wptraffictools_options  SET option_value='$license_key' WHERE option_name='license_key'";
			$result = mysql_query($query);
			if (!$result){echo $query; echo mysql_error(); exit;}
			
			$query = "UPDATE {$table_prefix}wptt_wptraffictools_options  SET option_value='$license_email' WHERE option_name='license_email'";
			$result = mysql_query($query);
			if (!$result){echo $query; echo mysql_error(); exit;}
			
			echo "<center><br><br><font style='color:green;'>Congratulations! WP Traffic Tools is now registered.<br> </font>";
			echo "<center><a href='?page=wp-traffic-tools/wp-traffic-tools.php'>Go to Administration Panel.</a> </font>";
			exit;
			
		}
	}
}

function traffic_tools_options_buffer_page()
{
	global $table_prefix;
	global $license_key;
	
	//PHP SAVE SETTINGS
	cloakme_update_settings();
	redirect_update_settings();
	advertisements_update_settings();
	cookie_update_settings();
	global_update_settings();

	traffic_tools_javascript();
	cloakme_add_javascript();
	advertisements_add_javascript();
	redirect_add_javascript();
	cookie_add_javascript();
	global_add_javascript();
	
	//CSS CONTENT
	include('style.php');
	
	traffic_tools_activation_check();
	
	//print_r($array);
	//echo $license_key;exit;
	//if active show rest of page
	if (strlen($license_key)>2)
	{
		traffic_tools_update_check();
		traffic_tools_options_page();
	}
	else
	{
		traffic_tools_activate_prompt();
	}
}

function traffic_tools_update_check()
{
	global $table_prefix;
	global $current_version;
	// hrose change link
	// $url = 'http://www.hatnohat.com/api/wp-traffic-tools/version_check.php';
	// $url = 'http://www.hatnohat.com/api/wp-traffic-tools/version_check.php';
	$server_version = traffic_tools_remote_connect($url);
	
	if ($current_version<$server_version)
	{
		//echo CURRENT_VERSION;
		//display upgrade prompt message
		//anonymised link if check was successfull but all version checks has been removed :) //hrose
		echo "<div class='update-nag' ><b>WP Traffic Tools $server_version</b> is available! <a id='id_button_update_wptraffictools' style='cursor:pointer;' >Please update now</a>. To find out more about this update please visit the WP Traffic Tools <a href=' http://anonym.to/?http://www.wptraffictools.com/members/download.php ' target=_new>Update Blog</a></div>";
		//update now
		//traffic_update_files($server_version);
		//include_once('update_sql.php');
	}
}


function traffic_tools_activate_prompt()
{
	//check for update
	?>
	<form action='?page=wp-traffic-tools/wp-traffic-tools.php' id='id_form_activate_wptraffictools' method='post'>
	<input type='hidden' name='nature' value='activate_wptraffictools'>
	<center>
	<br><br>
	<table>
		<tr>
			<td  align=left style="font-size:13px;">
				License Key (enter "grinderz.org"):
			</td>
			<td  align=left style="font-size:13px;">
				<input name=license_key size=30 value='<?php echo $key; ?>'>
			</td>
		</tr> 
		<tr>
			<td  align=left style="font-size:13px;">
				License Email (enter "any e-mail"):
			</td>
			<td  align=left style="font-size:13px;">
				<input name=license_email size=30 value=''><br>
			</td>
		</tr>
		<tr>
			<td colspan=2>
				<br>
				<center>
					<div style='height:90px;'><a id="id_button_activate_wptraffictools" class="button"  style="padding-left:51px;padding-right:53px;cursor:pointer;" >Activate Now</a></div>
				</center>
			</td>
		</tr>
	</table>
	</center>
	</form>
	<?php
}

function traffic_tools_options_page()
{
	
	?>
	<div>
		<ul class="navigation">
			<li id='id_li_cloaking' class="current_page_item"><a title="Cloaking" id='id_menu_cloaking' class='class_menu_item'>Link/Keyword Profiles</a></li>
			<li id='id_li_redirection' class="page_item"><a title="Redirection" id='id_menu_redirection'  class='class_menu_item'>Redirection Profiles</a></li>
			<li id='id_li_advertisements' class="page_item"><a title="Redirection" id='id_menu_advertisements'  class='class_menu_item'>Advertisment Profiles</a></li>
			<li id='id_li_cookies' class="page_item "><a title="Affiliate Cookies" id='id_menu_cookies'  class='class_menu_item'>Cookie Profiles</a></li>
			<li id='id_li_global' class="page_item "><a title="Global Settings" id='id_menu_global'  class='class_menu_item'>Global Settings</a></li>
		</ul>
	</div>
	
	<div id='id_display_cloaking' class='class_display_cloaking'>
		<?php
			cloakme_options_page();
		?>
	</div>
	
	<div id='id_display_redirection' class='class_display_redirection'>
		<?php
			redirect_options_page();
		?>
	</div>
	
	<div id='id_display_advertisements' class='class_display_advertisements'>
		<?php
			advertisements_options_page();
		?>
	</div>
	
	<div id='id_display_cookies' class='class_display_cookies'>
		<?php
			cookie_options_page();
		?>
	</div>
	
	<div id='id_display_global' class='class_display_global'>
		<?php
			global_options_page();
		?>
	</div>
	<?php
}


function traffic_tools_add_menu()
{
	if (current_user_can('manage_options')) 
	{
		add_options_page("WP Traffic Tools","WP Traffic Tools", 1, __FILE__, 'traffic_tools_options_buffer_page');
	}
}
add_action('admin_menu', 'traffic_tools_add_menu');

add_action( 'widgets_init', 'wpt_load_widgets' );

function wpt_load_widgets() {
	register_widget( 'wpt_widgets_advertisments' );
	register_widget( 'wpt_widgets_topsearches' );
}


//register jquery files
function wpt_init_enqueue() {
    if (is_admin()) {
        wp_enqueue_script( 'jquery' );
		wp_deregister_script( 'jquery-ui-core');
		wp_register_script( 'jquery-ui-core', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/jquery-ui.min.js' );
		wp_enqueue_script( 'jquery-ui-core' );
		wp_register_style( 'custom_jquery_ui_css', ''.WPTRAFFICTOOLS_URLPATH.'jquery-ui-1.7.2.custom.css' );
		wp_enqueue_style( 'custom_jquery_ui_css' );
    }
	else
	{
		 wp_enqueue_script( 'jquery' );
	}
}    
 
add_action('init', 'wpt_init_enqueue');
?>